import { r as registerInstance, h as h$1 } from './index-8f8983b3.js';
import { B as B$2 } from './index.esm.min-c2ecb242.js';
import { c as canGetStore, s as store$2 } from './store-6dda1ad2.js';
import { loadGuestApplicationForm, getPartnerEngineConfig } from '@boldpenguin/sdk-redux';
import { c as commonjsGlobal, a as createCommonjsModule } from './_commonjsHelpers-5e4b1d1a.js';
import { C as Cl, D as D4 } from './index.esm.min-85f5ecc5.js';

var fails = function (exec) {
  try {
    return !!exec();
  } catch (error) {
    return true;
  }
};

var toString = {}.toString;

var classofRaw = function (it) {
  return toString.call(it).slice(8, -1);
};

var split = ''.split;

// fallback for non-array-like ES3 and non-enumerable old V8 strings
var indexedObject = fails(function () {
  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
  // eslint-disable-next-line no-prototype-builtins -- safe
  return !Object('z').propertyIsEnumerable(0);
}) ? function (it) {
  return classofRaw(it) == 'String' ? split.call(it, '') : Object(it);
} : Object;

// `RequireObjectCoercible` abstract operation
// https://tc39.es/ecma262/#sec-requireobjectcoercible
var requireObjectCoercible = function (it) {
  if (it == undefined) throw TypeError("Can't call method on " + it);
  return it;
};

// toObject with fallback for non-array-like ES3 strings



var toIndexedObject = function (it) {
  return indexedObject(requireObjectCoercible(it));
};

var check = function (it) {
  return it && it.Math == Math && it;
};

// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
var global_1 =
  // eslint-disable-next-line es/no-global-this -- safe
  check(typeof globalThis == 'object' && globalThis) ||
  check(typeof window == 'object' && window) ||
  // eslint-disable-next-line no-restricted-globals -- safe
  check(typeof self == 'object' && self) ||
  check(typeof commonjsGlobal == 'object' && commonjsGlobal) ||
  // eslint-disable-next-line no-new-func -- fallback
  (function () { return this; })() || Function('return this')();

// Detect IE8's incomplete defineProperty implementation
var descriptors = !fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty({}, 1, { get: function () { return 7; } })[1] != 7;
});

var isObject = function (it) {
  return typeof it === 'object' ? it !== null : typeof it === 'function';
};

var document$1 = global_1.document;
// typeof document.createElement is 'object' in old IE
var EXISTS = isObject(document$1) && isObject(document$1.createElement);

var documentCreateElement = function (it) {
  return EXISTS ? document$1.createElement(it) : {};
};

// Thank's IE8 for his funny defineProperty
var ie8DomDefine = !descriptors && !fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- requied for testing
  return Object.defineProperty(documentCreateElement('div'), 'a', {
    get: function () { return 7; }
  }).a != 7;
});

var anObject = function (it) {
  if (!isObject(it)) {
    throw TypeError(String(it) + ' is not an object');
  } return it;
};

// `ToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-toprimitive
// instead of the ES6 spec version, we didn't implement @@toPrimitive case
// and the second argument - flag - preferred type is a string
var toPrimitive = function (input, PREFERRED_STRING) {
  if (!isObject(input)) return input;
  var fn, val;
  if (PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
  if (typeof (fn = input.valueOf) == 'function' && !isObject(val = fn.call(input))) return val;
  if (!PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
  throw TypeError("Can't convert object to primitive value");
};

// eslint-disable-next-line es/no-object-defineproperty -- safe
var $defineProperty = Object.defineProperty;

// `Object.defineProperty` method
// https://tc39.es/ecma262/#sec-object.defineproperty
var f$6 = descriptors ? $defineProperty : function defineProperty(O, P, Attributes) {
  anObject(O);
  P = toPrimitive(P, true);
  anObject(Attributes);
  if (ie8DomDefine) try {
    return $defineProperty(O, P, Attributes);
  } catch (error) { /* empty */ }
  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported');
  if ('value' in Attributes) O[P] = Attributes.value;
  return O;
};

var objectDefineProperty = {
	f: f$6
};

var createPropertyDescriptor = function (bitmap, value) {
  return {
    enumerable: !(bitmap & 1),
    configurable: !(bitmap & 2),
    writable: !(bitmap & 4),
    value: value
  };
};

var createNonEnumerableProperty = descriptors ? function (object, key, value) {
  return objectDefineProperty.f(object, key, createPropertyDescriptor(1, value));
} : function (object, key, value) {
  object[key] = value;
  return object;
};

var setGlobal = function (key, value) {
  try {
    createNonEnumerableProperty(global_1, key, value);
  } catch (error) {
    global_1[key] = value;
  } return value;
};

var SHARED = '__core-js_shared__';
var store$1 = global_1[SHARED] || setGlobal(SHARED, {});

var sharedStore = store$1;

var shared = createCommonjsModule(function (module) {
(module.exports = function (key, value) {
  return sharedStore[key] || (sharedStore[key] = value !== undefined ? value : {});
})('versions', []).push({
  version: '3.15.2',
  mode: 'global',
  copyright: '© 2021 Denis Pushkarev (zloirock.ru)'
});
});

// `ToObject` abstract operation
// https://tc39.es/ecma262/#sec-toobject
var toObject = function (argument) {
  return Object(requireObjectCoercible(argument));
};

var hasOwnProperty = {}.hasOwnProperty;

var has$1 = Object.hasOwn || function hasOwn(it, key) {
  return hasOwnProperty.call(toObject(it), key);
};

var id = 0;
var postfix = Math.random();

var uid = function (key) {
  return 'Symbol(' + String(key === undefined ? '' : key) + ')_' + (++id + postfix).toString(36);
};

var path = global_1;

var aFunction$1 = function (variable) {
  return typeof variable == 'function' ? variable : undefined;
};

var getBuiltIn = function (namespace, method) {
  return arguments.length < 2 ? aFunction$1(path[namespace]) || aFunction$1(global_1[namespace])
    : path[namespace] && path[namespace][method] || global_1[namespace] && global_1[namespace][method];
};

var engineUserAgent = getBuiltIn('navigator', 'userAgent') || '';

var process = global_1.process;
var versions = process && process.versions;
var v8 = versions && versions.v8;
var match, version;

if (v8) {
  match = v8.split('.');
  version = match[0] < 4 ? 1 : match[0] + match[1];
} else if (engineUserAgent) {
  match = engineUserAgent.match(/Edge\/(\d+)/);
  if (!match || match[1] >= 74) {
    match = engineUserAgent.match(/Chrome\/(\d+)/);
    if (match) version = match[1];
  }
}

var engineV8Version = version && +version;

/* eslint-disable es/no-symbol -- required for testing */



// eslint-disable-next-line es/no-object-getownpropertysymbols -- required for testing
var nativeSymbol = !!Object.getOwnPropertySymbols && !fails(function () {
  var symbol = Symbol();
  // Chrome 38 Symbol has incorrect toString conversion
  // `get-own-property-symbols` polyfill symbols converted to object are not Symbol instances
  return !String(symbol) || !(Object(symbol) instanceof Symbol) ||
    // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
    !Symbol.sham && engineV8Version && engineV8Version < 41;
});

/* eslint-disable es/no-symbol -- required for testing */


var useSymbolAsUid = nativeSymbol
  && !Symbol.sham
  && typeof Symbol.iterator == 'symbol';

var WellKnownSymbolsStore = shared('wks');
var Symbol$1 = global_1.Symbol;
var createWellKnownSymbol = useSymbolAsUid ? Symbol$1 : Symbol$1 && Symbol$1.withoutSetter || uid;

var wellKnownSymbol = function (name) {
  if (!has$1(WellKnownSymbolsStore, name) || !(nativeSymbol || typeof WellKnownSymbolsStore[name] == 'string')) {
    if (nativeSymbol && has$1(Symbol$1, name)) {
      WellKnownSymbolsStore[name] = Symbol$1[name];
    } else {
      WellKnownSymbolsStore[name] = createWellKnownSymbol('Symbol.' + name);
    }
  } return WellKnownSymbolsStore[name];
};

var ceil = Math.ceil;
var floor = Math.floor;

// `ToInteger` abstract operation
// https://tc39.es/ecma262/#sec-tointeger
var toInteger = function (argument) {
  return isNaN(argument = +argument) ? 0 : (argument > 0 ? floor : ceil)(argument);
};

var min$1 = Math.min;

// `ToLength` abstract operation
// https://tc39.es/ecma262/#sec-tolength
var toLength = function (argument) {
  return argument > 0 ? min$1(toInteger(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
};

var max = Math.max;
var min = Math.min;

// Helper for a popular repeating case of the spec:
// Let integer be ? ToInteger(index).
// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).
var toAbsoluteIndex = function (index, length) {
  var integer = toInteger(index);
  return integer < 0 ? max(integer + length, 0) : min(integer, length);
};

// `Array.prototype.{ indexOf, includes }` methods implementation
var createMethod = function (IS_INCLUDES) {
  return function ($this, el, fromIndex) {
    var O = toIndexedObject($this);
    var length = toLength(O.length);
    var index = toAbsoluteIndex(fromIndex, length);
    var value;
    // Array#includes uses SameValueZero equality algorithm
    // eslint-disable-next-line no-self-compare -- NaN check
    if (IS_INCLUDES && el != el) while (length > index) {
      value = O[index++];
      // eslint-disable-next-line no-self-compare -- NaN check
      if (value != value) return true;
    // Array#indexOf ignores holes, Array#includes - not
    } else for (;length > index; index++) {
      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
    } return !IS_INCLUDES && -1;
  };
};

var arrayIncludes = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: createMethod(true),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: createMethod(false)
};

var hiddenKeys$1 = {};

var indexOf = arrayIncludes.indexOf;


var objectKeysInternal = function (object, names) {
  var O = toIndexedObject(object);
  var i = 0;
  var result = [];
  var key;
  for (key in O) !has$1(hiddenKeys$1, key) && has$1(O, key) && result.push(key);
  // Don't enum bug & hidden keys
  while (names.length > i) if (has$1(O, key = names[i++])) {
    ~indexOf(result, key) || result.push(key);
  }
  return result;
};

// IE8- don't enum bug keys
var enumBugKeys = [
  'constructor',
  'hasOwnProperty',
  'isPrototypeOf',
  'propertyIsEnumerable',
  'toLocaleString',
  'toString',
  'valueOf'
];

// `Object.keys` method
// https://tc39.es/ecma262/#sec-object.keys
// eslint-disable-next-line es/no-object-keys -- safe
var objectKeys = Object.keys || function keys(O) {
  return objectKeysInternal(O, enumBugKeys);
};

// `Object.defineProperties` method
// https://tc39.es/ecma262/#sec-object.defineproperties
// eslint-disable-next-line es/no-object-defineproperties -- safe
var objectDefineProperties = descriptors ? Object.defineProperties : function defineProperties(O, Properties) {
  anObject(O);
  var keys = objectKeys(Properties);
  var length = keys.length;
  var index = 0;
  var key;
  while (length > index) objectDefineProperty.f(O, key = keys[index++], Properties[key]);
  return O;
};

var html = getBuiltIn('document', 'documentElement');

var keys = shared('keys');

var sharedKey = function (key) {
  return keys[key] || (keys[key] = uid(key));
};

var GT = '>';
var LT = '<';
var PROTOTYPE = 'prototype';
var SCRIPT = 'script';
var IE_PROTO$1 = sharedKey('IE_PROTO');

var EmptyConstructor = function () { /* empty */ };

var scriptTag = function (content) {
  return LT + SCRIPT + GT + content + LT + '/' + SCRIPT + GT;
};

// Create object with fake `null` prototype: use ActiveX Object with cleared prototype
var NullProtoObjectViaActiveX = function (activeXDocument) {
  activeXDocument.write(scriptTag(''));
  activeXDocument.close();
  var temp = activeXDocument.parentWindow.Object;
  activeXDocument = null; // avoid memory leak
  return temp;
};

// Create object with fake `null` prototype: use iframe Object with cleared prototype
var NullProtoObjectViaIFrame = function () {
  // Thrash, waste and sodomy: IE GC bug
  var iframe = documentCreateElement('iframe');
  var JS = 'java' + SCRIPT + ':';
  var iframeDocument;
  iframe.style.display = 'none';
  html.appendChild(iframe);
  // https://github.com/zloirock/core-js/issues/475
  iframe.src = String(JS);
  iframeDocument = iframe.contentWindow.document;
  iframeDocument.open();
  iframeDocument.write(scriptTag('document.F=Object'));
  iframeDocument.close();
  return iframeDocument.F;
};

// Check for document.domain and active x support
// No need to use active x approach when document.domain is not set
// see https://github.com/es-shims/es5-shim/issues/150
// variation of https://github.com/kitcambridge/es5-shim/commit/4f738ac066346
// avoid IE GC bug
var activeXDocument;
var NullProtoObject = function () {
  try {
    /* global ActiveXObject -- old IE */
    activeXDocument = document.domain && new ActiveXObject('htmlfile');
  } catch (error) { /* ignore */ }
  NullProtoObject = activeXDocument ? NullProtoObjectViaActiveX(activeXDocument) : NullProtoObjectViaIFrame();
  var length = enumBugKeys.length;
  while (length--) delete NullProtoObject[PROTOTYPE][enumBugKeys[length]];
  return NullProtoObject();
};

hiddenKeys$1[IE_PROTO$1] = true;

// `Object.create` method
// https://tc39.es/ecma262/#sec-object.create
var objectCreate = Object.create || function create(O, Properties) {
  var result;
  if (O !== null) {
    EmptyConstructor[PROTOTYPE] = anObject(O);
    result = new EmptyConstructor();
    EmptyConstructor[PROTOTYPE] = null;
    // add "__proto__" for Object.getPrototypeOf polyfill
    result[IE_PROTO$1] = O;
  } else result = NullProtoObject();
  return Properties === undefined ? result : objectDefineProperties(result, Properties);
};

var UNSCOPABLES = wellKnownSymbol('unscopables');
var ArrayPrototype = Array.prototype;

// Array.prototype[@@unscopables]
// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
if (ArrayPrototype[UNSCOPABLES] == undefined) {
  objectDefineProperty.f(ArrayPrototype, UNSCOPABLES, {
    configurable: true,
    value: objectCreate(null)
  });
}

// add a key to Array.prototype[@@unscopables]
var addToUnscopables = function (key) {
  ArrayPrototype[UNSCOPABLES][key] = true;
};

var iterators = {};

var functionToString = Function.toString;

// this helper broken in `core-js@3.4.1-3.4.4`, so we can't use `shared` helper
if (typeof sharedStore.inspectSource != 'function') {
  sharedStore.inspectSource = function (it) {
    return functionToString.call(it);
  };
}

var inspectSource = sharedStore.inspectSource;

var WeakMap$1 = global_1.WeakMap;

var nativeWeakMap = typeof WeakMap$1 === 'function' && /native code/.test(inspectSource(WeakMap$1));

var OBJECT_ALREADY_INITIALIZED = 'Object already initialized';
var WeakMap = global_1.WeakMap;
var set, get, has;

var enforce = function (it) {
  return has(it) ? get(it) : set(it, {});
};

var getterFor = function (TYPE) {
  return function (it) {
    var state;
    if (!isObject(it) || (state = get(it)).type !== TYPE) {
      throw TypeError('Incompatible receiver, ' + TYPE + ' required');
    } return state;
  };
};

if (nativeWeakMap || sharedStore.state) {
  var store = sharedStore.state || (sharedStore.state = new WeakMap());
  var wmget = store.get;
  var wmhas = store.has;
  var wmset = store.set;
  set = function (it, metadata) {
    if (wmhas.call(store, it)) throw new TypeError(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    wmset.call(store, it, metadata);
    return metadata;
  };
  get = function (it) {
    return wmget.call(store, it) || {};
  };
  has = function (it) {
    return wmhas.call(store, it);
  };
} else {
  var STATE = sharedKey('state');
  hiddenKeys$1[STATE] = true;
  set = function (it, metadata) {
    if (has$1(it, STATE)) throw new TypeError(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    createNonEnumerableProperty(it, STATE, metadata);
    return metadata;
  };
  get = function (it) {
    return has$1(it, STATE) ? it[STATE] : {};
  };
  has = function (it) {
    return has$1(it, STATE);
  };
}

var internalState = {
  set: set,
  get: get,
  has: has,
  enforce: enforce,
  getterFor: getterFor
};

var $propertyIsEnumerable = {}.propertyIsEnumerable;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var getOwnPropertyDescriptor$1 = Object.getOwnPropertyDescriptor;

// Nashorn ~ JDK8 bug
var NASHORN_BUG = getOwnPropertyDescriptor$1 && !$propertyIsEnumerable.call({ 1: 2 }, 1);

// `Object.prototype.propertyIsEnumerable` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.propertyisenumerable
var f$5 = NASHORN_BUG ? function propertyIsEnumerable(V) {
  var descriptor = getOwnPropertyDescriptor$1(this, V);
  return !!descriptor && descriptor.enumerable;
} : $propertyIsEnumerable;

var objectPropertyIsEnumerable = {
	f: f$5
};

// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

// `Object.getOwnPropertyDescriptor` method
// https://tc39.es/ecma262/#sec-object.getownpropertydescriptor
var f$4 = descriptors ? $getOwnPropertyDescriptor : function getOwnPropertyDescriptor(O, P) {
  O = toIndexedObject(O);
  P = toPrimitive(P, true);
  if (ie8DomDefine) try {
    return $getOwnPropertyDescriptor(O, P);
  } catch (error) { /* empty */ }
  if (has$1(O, P)) return createPropertyDescriptor(!objectPropertyIsEnumerable.f.call(O, P), O[P]);
};

var objectGetOwnPropertyDescriptor = {
	f: f$4
};

var redefine = createCommonjsModule(function (module) {
var getInternalState = internalState.get;
var enforceInternalState = internalState.enforce;
var TEMPLATE = String(String).split('String');

(module.exports = function (O, key, value, options) {
  var unsafe = options ? !!options.unsafe : false;
  var simple = options ? !!options.enumerable : false;
  var noTargetGet = options ? !!options.noTargetGet : false;
  var state;
  if (typeof value == 'function') {
    if (typeof key == 'string' && !has$1(value, 'name')) {
      createNonEnumerableProperty(value, 'name', key);
    }
    state = enforceInternalState(value);
    if (!state.source) {
      state.source = TEMPLATE.join(typeof key == 'string' ? key : '');
    }
  }
  if (O === global_1) {
    if (simple) O[key] = value;
    else setGlobal(key, value);
    return;
  } else if (!unsafe) {
    delete O[key];
  } else if (!noTargetGet && O[key]) {
    simple = true;
  }
  if (simple) O[key] = value;
  else createNonEnumerableProperty(O, key, value);
// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
})(Function.prototype, 'toString', function toString() {
  return typeof this == 'function' && getInternalState(this).source || inspectSource(this);
});
});

var hiddenKeys = enumBugKeys.concat('length', 'prototype');

// `Object.getOwnPropertyNames` method
// https://tc39.es/ecma262/#sec-object.getownpropertynames
// eslint-disable-next-line es/no-object-getownpropertynames -- safe
var f$3 = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
  return objectKeysInternal(O, hiddenKeys);
};

var objectGetOwnPropertyNames = {
	f: f$3
};

// eslint-disable-next-line es/no-object-getownpropertysymbols -- safe
var f$2 = Object.getOwnPropertySymbols;

var objectGetOwnPropertySymbols = {
	f: f$2
};

// all object keys, includes non-enumerable and symbols
var ownKeys = getBuiltIn('Reflect', 'ownKeys') || function ownKeys(it) {
  var keys = objectGetOwnPropertyNames.f(anObject(it));
  var getOwnPropertySymbols = objectGetOwnPropertySymbols.f;
  return getOwnPropertySymbols ? keys.concat(getOwnPropertySymbols(it)) : keys;
};

var copyConstructorProperties = function (target, source) {
  var keys = ownKeys(source);
  var defineProperty = objectDefineProperty.f;
  var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (!has$1(target, key)) defineProperty(target, key, getOwnPropertyDescriptor(source, key));
  }
};

var replacement = /#|\.prototype\./;

var isForced = function (feature, detection) {
  var value = data[normalize(feature)];
  return value == POLYFILL ? true
    : value == NATIVE ? false
    : typeof detection == 'function' ? fails(detection)
    : !!detection;
};

var normalize = isForced.normalize = function (string) {
  return String(string).replace(replacement, '.').toLowerCase();
};

var data = isForced.data = {};
var NATIVE = isForced.NATIVE = 'N';
var POLYFILL = isForced.POLYFILL = 'P';

var isForced_1 = isForced;

var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;






/*
  options.target      - name of the target object
  options.global      - target is the global object
  options.stat        - export as static methods of target
  options.proto       - export as prototype methods of target
  options.real        - real prototype method for the `pure` version
  options.forced      - export even if the native feature is available
  options.bind        - bind methods to the target, required for the `pure` version
  options.wrap        - wrap constructors to preventing global pollution, required for the `pure` version
  options.unsafe      - use the simple assignment of property instead of delete + defineProperty
  options.sham        - add a flag to not completely full polyfills
  options.enumerable  - export as enumerable property
  options.noTargetGet - prevent calling a getter on target
*/
var _export = function (options, source) {
  var TARGET = options.target;
  var GLOBAL = options.global;
  var STATIC = options.stat;
  var FORCED, target, key, targetProperty, sourceProperty, descriptor;
  if (GLOBAL) {
    target = global_1;
  } else if (STATIC) {
    target = global_1[TARGET] || setGlobal(TARGET, {});
  } else {
    target = (global_1[TARGET] || {}).prototype;
  }
  if (target) for (key in source) {
    sourceProperty = source[key];
    if (options.noTargetGet) {
      descriptor = getOwnPropertyDescriptor(target, key);
      targetProperty = descriptor && descriptor.value;
    } else targetProperty = target[key];
    FORCED = isForced_1(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced);
    // contained in target
    if (!FORCED && targetProperty !== undefined) {
      if (typeof sourceProperty === typeof targetProperty) continue;
      copyConstructorProperties(sourceProperty, targetProperty);
    }
    // add a flag to not completely full polyfills
    if (options.sham || (targetProperty && targetProperty.sham)) {
      createNonEnumerableProperty(sourceProperty, 'sham', true);
    }
    // extend global
    redefine(target, key, sourceProperty, options);
  }
};

var correctPrototypeGetter = !fails(function () {
  function F() { /* empty */ }
  F.prototype.constructor = null;
  // eslint-disable-next-line es/no-object-getprototypeof -- required for testing
  return Object.getPrototypeOf(new F()) !== F.prototype;
});

var IE_PROTO = sharedKey('IE_PROTO');
var ObjectPrototype = Object.prototype;

// `Object.getPrototypeOf` method
// https://tc39.es/ecma262/#sec-object.getprototypeof
// eslint-disable-next-line es/no-object-getprototypeof -- safe
var objectGetPrototypeOf = correctPrototypeGetter ? Object.getPrototypeOf : function (O) {
  O = toObject(O);
  if (has$1(O, IE_PROTO)) return O[IE_PROTO];
  if (typeof O.constructor == 'function' && O instanceof O.constructor) {
    return O.constructor.prototype;
  } return O instanceof Object ? ObjectPrototype : null;
};

var ITERATOR$4 = wellKnownSymbol('iterator');
var BUGGY_SAFARI_ITERATORS$1 = false;

var returnThis$2 = function () { return this; };

// `%IteratorPrototype%` object
// https://tc39.es/ecma262/#sec-%iteratorprototype%-object
var IteratorPrototype$2, PrototypeOfArrayIteratorPrototype, arrayIterator;

/* eslint-disable es/no-array-prototype-keys -- safe */
if ([].keys) {
  arrayIterator = [].keys();
  // Safari 8 has buggy iterators w/o `next`
  if (!('next' in arrayIterator)) BUGGY_SAFARI_ITERATORS$1 = true;
  else {
    PrototypeOfArrayIteratorPrototype = objectGetPrototypeOf(objectGetPrototypeOf(arrayIterator));
    if (PrototypeOfArrayIteratorPrototype !== Object.prototype) IteratorPrototype$2 = PrototypeOfArrayIteratorPrototype;
  }
}

var NEW_ITERATOR_PROTOTYPE = IteratorPrototype$2 == undefined || fails(function () {
  var test = {};
  // FF44- legacy iterators case
  return IteratorPrototype$2[ITERATOR$4].call(test) !== test;
});

if (NEW_ITERATOR_PROTOTYPE) IteratorPrototype$2 = {};

// `%IteratorPrototype%[@@iterator]()` method
// https://tc39.es/ecma262/#sec-%iteratorprototype%-@@iterator
if (!has$1(IteratorPrototype$2, ITERATOR$4)) {
  createNonEnumerableProperty(IteratorPrototype$2, ITERATOR$4, returnThis$2);
}

var iteratorsCore = {
  IteratorPrototype: IteratorPrototype$2,
  BUGGY_SAFARI_ITERATORS: BUGGY_SAFARI_ITERATORS$1
};

var defineProperty = objectDefineProperty.f;



var TO_STRING_TAG$2 = wellKnownSymbol('toStringTag');

var setToStringTag = function (it, TAG, STATIC) {
  if (it && !has$1(it = STATIC ? it : it.prototype, TO_STRING_TAG$2)) {
    defineProperty(it, TO_STRING_TAG$2, { configurable: true, value: TAG });
  }
};

var IteratorPrototype$1 = iteratorsCore.IteratorPrototype;





var returnThis$1 = function () { return this; };

var createIteratorConstructor = function (IteratorConstructor, NAME, next) {
  var TO_STRING_TAG = NAME + ' Iterator';
  IteratorConstructor.prototype = objectCreate(IteratorPrototype$1, { next: createPropertyDescriptor(1, next) });
  setToStringTag(IteratorConstructor, TO_STRING_TAG, false);
  iterators[TO_STRING_TAG] = returnThis$1;
  return IteratorConstructor;
};

var aPossiblePrototype = function (it) {
  if (!isObject(it) && it !== null) {
    throw TypeError("Can't set " + String(it) + ' as a prototype');
  } return it;
};

/* eslint-disable no-proto -- safe */



// `Object.setPrototypeOf` method
// https://tc39.es/ecma262/#sec-object.setprototypeof
// Works with __proto__ only. Old v8 can't work with null proto objects.
// eslint-disable-next-line es/no-object-setprototypeof -- safe
var objectSetPrototypeOf = Object.setPrototypeOf || ('__proto__' in {} ? function () {
  var CORRECT_SETTER = false;
  var test = {};
  var setter;
  try {
    // eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
    setter = Object.getOwnPropertyDescriptor(Object.prototype, '__proto__').set;
    setter.call(test, []);
    CORRECT_SETTER = test instanceof Array;
  } catch (error) { /* empty */ }
  return function setPrototypeOf(O, proto) {
    anObject(O);
    aPossiblePrototype(proto);
    if (CORRECT_SETTER) setter.call(O, proto);
    else O.__proto__ = proto;
    return O;
  };
}() : undefined);

var IteratorPrototype = iteratorsCore.IteratorPrototype;
var BUGGY_SAFARI_ITERATORS = iteratorsCore.BUGGY_SAFARI_ITERATORS;
var ITERATOR$3 = wellKnownSymbol('iterator');
var KEYS = 'keys';
var VALUES = 'values';
var ENTRIES = 'entries';

var returnThis = function () { return this; };

var defineIterator = function (Iterable, NAME, IteratorConstructor, next, DEFAULT, IS_SET, FORCED) {
  createIteratorConstructor(IteratorConstructor, NAME, next);

  var getIterationMethod = function (KIND) {
    if (KIND === DEFAULT && defaultIterator) return defaultIterator;
    if (!BUGGY_SAFARI_ITERATORS && KIND in IterablePrototype) return IterablePrototype[KIND];
    switch (KIND) {
      case KEYS: return function keys() { return new IteratorConstructor(this, KIND); };
      case VALUES: return function values() { return new IteratorConstructor(this, KIND); };
      case ENTRIES: return function entries() { return new IteratorConstructor(this, KIND); };
    } return function () { return new IteratorConstructor(this); };
  };

  var TO_STRING_TAG = NAME + ' Iterator';
  var INCORRECT_VALUES_NAME = false;
  var IterablePrototype = Iterable.prototype;
  var nativeIterator = IterablePrototype[ITERATOR$3]
    || IterablePrototype['@@iterator']
    || DEFAULT && IterablePrototype[DEFAULT];
  var defaultIterator = !BUGGY_SAFARI_ITERATORS && nativeIterator || getIterationMethod(DEFAULT);
  var anyNativeIterator = NAME == 'Array' ? IterablePrototype.entries || nativeIterator : nativeIterator;
  var CurrentIteratorPrototype, methods, KEY;

  // fix native
  if (anyNativeIterator) {
    CurrentIteratorPrototype = objectGetPrototypeOf(anyNativeIterator.call(new Iterable()));
    if (IteratorPrototype !== Object.prototype && CurrentIteratorPrototype.next) {
      if (objectGetPrototypeOf(CurrentIteratorPrototype) !== IteratorPrototype) {
        if (objectSetPrototypeOf) {
          objectSetPrototypeOf(CurrentIteratorPrototype, IteratorPrototype);
        } else if (typeof CurrentIteratorPrototype[ITERATOR$3] != 'function') {
          createNonEnumerableProperty(CurrentIteratorPrototype, ITERATOR$3, returnThis);
        }
      }
      // Set @@toStringTag to native iterators
      setToStringTag(CurrentIteratorPrototype, TO_STRING_TAG, true);
    }
  }

  // fix Array.prototype.{ values, @@iterator }.name in V8 / FF
  if (DEFAULT == VALUES && nativeIterator && nativeIterator.name !== VALUES) {
    INCORRECT_VALUES_NAME = true;
    defaultIterator = function values() { return nativeIterator.call(this); };
  }

  // define iterator
  if (IterablePrototype[ITERATOR$3] !== defaultIterator) {
    createNonEnumerableProperty(IterablePrototype, ITERATOR$3, defaultIterator);
  }
  iterators[NAME] = defaultIterator;

  // export additional methods
  if (DEFAULT) {
    methods = {
      values: getIterationMethod(VALUES),
      keys: IS_SET ? defaultIterator : getIterationMethod(KEYS),
      entries: getIterationMethod(ENTRIES)
    };
    if (FORCED) for (KEY in methods) {
      if (BUGGY_SAFARI_ITERATORS || INCORRECT_VALUES_NAME || !(KEY in IterablePrototype)) {
        redefine(IterablePrototype, KEY, methods[KEY]);
      }
    } else _export({ target: NAME, proto: true, forced: BUGGY_SAFARI_ITERATORS || INCORRECT_VALUES_NAME }, methods);
  }

  return methods;
};

var ARRAY_ITERATOR = 'Array Iterator';
var setInternalState$1 = internalState.set;
var getInternalState = internalState.getterFor(ARRAY_ITERATOR);

// `Array.prototype.entries` method
// https://tc39.es/ecma262/#sec-array.prototype.entries
// `Array.prototype.keys` method
// https://tc39.es/ecma262/#sec-array.prototype.keys
// `Array.prototype.values` method
// https://tc39.es/ecma262/#sec-array.prototype.values
// `Array.prototype[@@iterator]` method
// https://tc39.es/ecma262/#sec-array.prototype-@@iterator
// `CreateArrayIterator` internal method
// https://tc39.es/ecma262/#sec-createarrayiterator
defineIterator(Array, 'Array', function (iterated, kind) {
  setInternalState$1(this, {
    type: ARRAY_ITERATOR,
    target: toIndexedObject(iterated), // target
    index: 0,                          // next index
    kind: kind                         // kind
  });
// `%ArrayIteratorPrototype%.next` method
// https://tc39.es/ecma262/#sec-%arrayiteratorprototype%.next
}, function () {
  var state = getInternalState(this);
  var target = state.target;
  var kind = state.kind;
  var index = state.index++;
  if (!target || index >= target.length) {
    state.target = undefined;
    return { value: undefined, done: true };
  }
  if (kind == 'keys') return { value: index, done: false };
  if (kind == 'values') return { value: target[index], done: false };
  return { value: [index, target[index]], done: false };
}, 'values');

// argumentsList[@@iterator] is %ArrayProto_values%
// https://tc39.es/ecma262/#sec-createunmappedargumentsobject
// https://tc39.es/ecma262/#sec-createmappedargumentsobject
iterators.Arguments = iterators.Array;

// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
addToUnscopables('keys');
addToUnscopables('values');
addToUnscopables('entries');

var ITERATOR$2 = wellKnownSymbol('iterator');

var nativeUrl = !fails(function () {
  var url = new URL('b?a=1&b=2&c=3', 'http://a');
  var searchParams = url.searchParams;
  var result = '';
  url.pathname = 'c%20d';
  searchParams.forEach(function (value, key) {
    searchParams['delete']('b');
    result += key + value;
  });
  return !searchParams.sort
    || url.href !== 'http://a/c%20d?a=1&c=3'
    || searchParams.get('c') !== '3'
    || String(new URLSearchParams('?a=1')) !== 'a=1'
    || !searchParams[ITERATOR$2]
    // throws in Edge
    || new URL('https://a@b').username !== 'a'
    || new URLSearchParams(new URLSearchParams('a=b')).get('a') !== 'b'
    // not punycoded in Edge
    || new URL('http://тест').host !== 'xn--e1aybc'
    // not escaped in Chrome 62-
    || new URL('http://a#б').hash !== '#%D0%B1'
    // fails in Chrome 66-
    || result !== 'a1c3'
    // throws in Safari
    || new URL('http://x', undefined).host !== 'x';
});

var redefineAll = function (target, src, options) {
  for (var key in src) redefine(target, key, src[key], options);
  return target;
};

var anInstance = function (it, Constructor, name) {
  if (!(it instanceof Constructor)) {
    throw TypeError('Incorrect ' + (name ? name + ' ' : '') + 'invocation');
  } return it;
};

var aFunction = function (it) {
  if (typeof it != 'function') {
    throw TypeError(String(it) + ' is not a function');
  } return it;
};

// optional / simple context binding
var functionBindContext = function (fn, that, length) {
  aFunction(fn);
  if (that === undefined) return fn;
  switch (length) {
    case 0: return function () {
      return fn.call(that);
    };
    case 1: return function (a) {
      return fn.call(that, a);
    };
    case 2: return function (a, b) {
      return fn.call(that, a, b);
    };
    case 3: return function (a, b, c) {
      return fn.call(that, a, b, c);
    };
  }
  return function (/* ...args */) {
    return fn.apply(that, arguments);
  };
};

var TO_STRING_TAG$1 = wellKnownSymbol('toStringTag');
var test = {};

test[TO_STRING_TAG$1] = 'z';

var toStringTagSupport = String(test) === '[object z]';

var TO_STRING_TAG = wellKnownSymbol('toStringTag');
// ES3 wrong here
var CORRECT_ARGUMENTS = classofRaw(function () { return arguments; }()) == 'Arguments';

// fallback for IE11 Script Access Denied error
var tryGet = function (it, key) {
  try {
    return it[key];
  } catch (error) { /* empty */ }
};

// getting tag from ES6+ `Object.prototype.toString`
var classof = toStringTagSupport ? classofRaw : function (it) {
  var O, tag, result;
  return it === undefined ? 'Undefined' : it === null ? 'Null'
    // @@toStringTag case
    : typeof (tag = tryGet(O = Object(it), TO_STRING_TAG)) == 'string' ? tag
    // builtinTag case
    : CORRECT_ARGUMENTS ? classofRaw(O)
    // ES3 arguments fallback
    : (result = classofRaw(O)) == 'Object' && typeof O.callee == 'function' ? 'Arguments' : result;
};

var ITERATOR$1 = wellKnownSymbol('iterator');

var getIteratorMethod = function (it) {
  if (it != undefined) return it[ITERATOR$1]
    || it['@@iterator']
    || iterators[classof(it)];
};

var getIterator = function (it) {
  var iteratorMethod = getIteratorMethod(it);
  if (typeof iteratorMethod != 'function') {
    throw TypeError(String(it) + ' is not iterable');
  } return anObject(iteratorMethod.call(it));
};

// TODO: in core-js@4, move /modules/ dependencies to public entries for better optimization by tools like `preset-env`





















var $fetch = getBuiltIn('fetch');
var Headers$1 = getBuiltIn('Headers');
var ITERATOR = wellKnownSymbol('iterator');
var URL_SEARCH_PARAMS = 'URLSearchParams';
var URL_SEARCH_PARAMS_ITERATOR = URL_SEARCH_PARAMS + 'Iterator';
var setInternalState = internalState.set;
var getInternalParamsState = internalState.getterFor(URL_SEARCH_PARAMS);
var getInternalIteratorState = internalState.getterFor(URL_SEARCH_PARAMS_ITERATOR);

var plus = /\+/g;
var sequences = Array(4);

var percentSequence = function (bytes) {
  return sequences[bytes - 1] || (sequences[bytes - 1] = RegExp('((?:%[\\da-f]{2}){' + bytes + '})', 'gi'));
};

var percentDecode = function (sequence) {
  try {
    return decodeURIComponent(sequence);
  } catch (error) {
    return sequence;
  }
};

var deserialize = function (it) {
  var result = it.replace(plus, ' ');
  var bytes = 4;
  try {
    return decodeURIComponent(result);
  } catch (error) {
    while (bytes) {
      result = result.replace(percentSequence(bytes--), percentDecode);
    }
    return result;
  }
};

var find = /[!'()~]|%20/g;

var replace = {
  '!': '%21',
  "'": '%27',
  '(': '%28',
  ')': '%29',
  '~': '%7E',
  '%20': '+'
};

var replacer = function (match) {
  return replace[match];
};

var serialize = function (it) {
  return encodeURIComponent(it).replace(find, replacer);
};

var parseSearchParams = function (result, query) {
  if (query) {
    var attributes = query.split('&');
    var index = 0;
    var attribute, entry;
    while (index < attributes.length) {
      attribute = attributes[index++];
      if (attribute.length) {
        entry = attribute.split('=');
        result.push({
          key: deserialize(entry.shift()),
          value: deserialize(entry.join('='))
        });
      }
    }
  }
};

var updateSearchParams = function (query) {
  this.entries.length = 0;
  parseSearchParams(this.entries, query);
};

var validateArgumentsLength = function (passed, required) {
  if (passed < required) throw TypeError('Not enough arguments');
};

var URLSearchParamsIterator = createIteratorConstructor(function Iterator(params, kind) {
  setInternalState(this, {
    type: URL_SEARCH_PARAMS_ITERATOR,
    iterator: getIterator(getInternalParamsState(params).entries),
    kind: kind
  });
}, 'Iterator', function next() {
  var state = getInternalIteratorState(this);
  var kind = state.kind;
  var step = state.iterator.next();
  var entry = step.value;
  if (!step.done) {
    step.value = kind === 'keys' ? entry.key : kind === 'values' ? entry.value : [entry.key, entry.value];
  } return step;
});

// `URLSearchParams` constructor
// https://url.spec.whatwg.org/#interface-urlsearchparams
var URLSearchParamsConstructor = function URLSearchParams(/* init */) {
  anInstance(this, URLSearchParamsConstructor, URL_SEARCH_PARAMS);
  var init = arguments.length > 0 ? arguments[0] : undefined;
  var that = this;
  var entries = [];
  var iteratorMethod, iterator, next, step, entryIterator, entryNext, first, second, key;

  setInternalState(that, {
    type: URL_SEARCH_PARAMS,
    entries: entries,
    updateURL: function () { /* empty */ },
    updateSearchParams: updateSearchParams
  });

  if (init !== undefined) {
    if (isObject(init)) {
      iteratorMethod = getIteratorMethod(init);
      if (typeof iteratorMethod === 'function') {
        iterator = iteratorMethod.call(init);
        next = iterator.next;
        while (!(step = next.call(iterator)).done) {
          entryIterator = getIterator(anObject(step.value));
          entryNext = entryIterator.next;
          if (
            (first = entryNext.call(entryIterator)).done ||
            (second = entryNext.call(entryIterator)).done ||
            !entryNext.call(entryIterator).done
          ) throw TypeError('Expected sequence with length 2');
          entries.push({ key: first.value + '', value: second.value + '' });
        }
      } else for (key in init) if (has$1(init, key)) entries.push({ key: key, value: init[key] + '' });
    } else {
      parseSearchParams(entries, typeof init === 'string' ? init.charAt(0) === '?' ? init.slice(1) : init : init + '');
    }
  }
};

var URLSearchParamsPrototype = URLSearchParamsConstructor.prototype;

redefineAll(URLSearchParamsPrototype, {
  // `URLSearchParams.prototype.append` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-append
  append: function append(name, value) {
    validateArgumentsLength(arguments.length, 2);
    var state = getInternalParamsState(this);
    state.entries.push({ key: name + '', value: value + '' });
    state.updateURL();
  },
  // `URLSearchParams.prototype.delete` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-delete
  'delete': function (name) {
    validateArgumentsLength(arguments.length, 1);
    var state = getInternalParamsState(this);
    var entries = state.entries;
    var key = name + '';
    var index = 0;
    while (index < entries.length) {
      if (entries[index].key === key) entries.splice(index, 1);
      else index++;
    }
    state.updateURL();
  },
  // `URLSearchParams.prototype.get` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-get
  get: function get(name) {
    validateArgumentsLength(arguments.length, 1);
    var entries = getInternalParamsState(this).entries;
    var key = name + '';
    var index = 0;
    for (; index < entries.length; index++) {
      if (entries[index].key === key) return entries[index].value;
    }
    return null;
  },
  // `URLSearchParams.prototype.getAll` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-getall
  getAll: function getAll(name) {
    validateArgumentsLength(arguments.length, 1);
    var entries = getInternalParamsState(this).entries;
    var key = name + '';
    var result = [];
    var index = 0;
    for (; index < entries.length; index++) {
      if (entries[index].key === key) result.push(entries[index].value);
    }
    return result;
  },
  // `URLSearchParams.prototype.has` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-has
  has: function has(name) {
    validateArgumentsLength(arguments.length, 1);
    var entries = getInternalParamsState(this).entries;
    var key = name + '';
    var index = 0;
    while (index < entries.length) {
      if (entries[index++].key === key) return true;
    }
    return false;
  },
  // `URLSearchParams.prototype.set` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-set
  set: function set(name, value) {
    validateArgumentsLength(arguments.length, 1);
    var state = getInternalParamsState(this);
    var entries = state.entries;
    var found = false;
    var key = name + '';
    var val = value + '';
    var index = 0;
    var entry;
    for (; index < entries.length; index++) {
      entry = entries[index];
      if (entry.key === key) {
        if (found) entries.splice(index--, 1);
        else {
          found = true;
          entry.value = val;
        }
      }
    }
    if (!found) entries.push({ key: key, value: val });
    state.updateURL();
  },
  // `URLSearchParams.prototype.sort` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-sort
  sort: function sort() {
    var state = getInternalParamsState(this);
    var entries = state.entries;
    // Array#sort is not stable in some engines
    var slice = entries.slice();
    var entry, entriesIndex, sliceIndex;
    entries.length = 0;
    for (sliceIndex = 0; sliceIndex < slice.length; sliceIndex++) {
      entry = slice[sliceIndex];
      for (entriesIndex = 0; entriesIndex < sliceIndex; entriesIndex++) {
        if (entries[entriesIndex].key > entry.key) {
          entries.splice(entriesIndex, 0, entry);
          break;
        }
      }
      if (entriesIndex === sliceIndex) entries.push(entry);
    }
    state.updateURL();
  },
  // `URLSearchParams.prototype.forEach` method
  forEach: function forEach(callback /* , thisArg */) {
    var entries = getInternalParamsState(this).entries;
    var boundFunction = functionBindContext(callback, arguments.length > 1 ? arguments[1] : undefined, 3);
    var index = 0;
    var entry;
    while (index < entries.length) {
      entry = entries[index++];
      boundFunction(entry.value, entry.key, this);
    }
  },
  // `URLSearchParams.prototype.keys` method
  keys: function keys() {
    return new URLSearchParamsIterator(this, 'keys');
  },
  // `URLSearchParams.prototype.values` method
  values: function values() {
    return new URLSearchParamsIterator(this, 'values');
  },
  // `URLSearchParams.prototype.entries` method
  entries: function entries() {
    return new URLSearchParamsIterator(this, 'entries');
  }
}, { enumerable: true });

// `URLSearchParams.prototype[@@iterator]` method
redefine(URLSearchParamsPrototype, ITERATOR, URLSearchParamsPrototype.entries);

// `URLSearchParams.prototype.toString` method
// https://url.spec.whatwg.org/#urlsearchparams-stringification-behavior
redefine(URLSearchParamsPrototype, 'toString', function toString() {
  var entries = getInternalParamsState(this).entries;
  var result = [];
  var index = 0;
  var entry;
  while (index < entries.length) {
    entry = entries[index++];
    result.push(serialize(entry.key) + '=' + serialize(entry.value));
  } return result.join('&');
}, { enumerable: true });

setToStringTag(URLSearchParamsConstructor, URL_SEARCH_PARAMS);

_export({ global: true, forced: !nativeUrl }, {
  URLSearchParams: URLSearchParamsConstructor
});

// Wrap `fetch` for correct work with polyfilled `URLSearchParams`
// https://github.com/zloirock/core-js/issues/674
if (!nativeUrl && typeof $fetch == 'function' && typeof Headers$1 == 'function') {
  _export({ global: true, enumerable: true, forced: true }, {
    fetch: function fetch(input /* , init */) {
      var args = [input];
      var init, body, headers;
      if (arguments.length > 1) {
        init = arguments[1];
        if (isObject(init)) {
          body = init.body;
          if (classof(body) === URL_SEARCH_PARAMS) {
            headers = init.headers ? new Headers$1(init.headers) : new Headers$1();
            if (!headers.has('content-type')) {
              headers.set('content-type', 'application/x-www-form-urlencoded;charset=UTF-8');
            }
            init = objectCreate(init, {
              body: createPropertyDescriptor(0, String(body)),
              headers: createPropertyDescriptor(0, headers)
            });
          }
        }
        args.push(init);
      } return $fetch.apply(this, args);
    }
  });
}

var G$1=(e=>(e.LIGHT="Light",e.COLOR="Color",e))(G$1||{}),J$1=(e=>(e.ApplicationForms="application_forms",e.PartnerPhoneCalls="partner_phone_calls",e.FeatureCheck="features",e.Questions="questions",e.Rules="rules",e.RuleExcludedChoices="rule_excluded_choices",e.SearchableQuestions="searchable_questions",e.SendToExchange="send_to_exchange",e.TakeOver="take_over",e))(J$1||{}),W$1=(e=>(e.Appetite="appetite",e.AddQuestionSet="application_forms_question_set",e.CarrierProducts="eligible_carriers_products",e.ApplicationForm="application_form",e.RemoveQuestionSet="destroy_application_forms_question_set",e.Message="message",e.QuoteRequest="quote_request",e.Answer="answer",e.ApplicationFormPercentCompleted="application_form_percent_completed",e.ApplicationFormProcess="application_form_process",e.RealTimeEligibility="real_time_eligibility",e))(W$1||{}),w$1=(e=>(e.NotConnected="NotConnected",e.Connected="Connected",e.Disconnected="Disconnected",e.Connecting="Connecting",e.Disconnecting="Disconnecting",e))(w$1||{}),Y$1=(e=>(e.Create="create",e.Index="index",e.Show="show",e.Update="update",e))(Y$1||{}),b=(e=>(e.Development="development",e.Alpha="alpha",e.Beta="beta",e.Production="prod",e))(b||{}),Z$1=(e=>(e.Accepted="Accepted",e.Expired="Expired",e.Not_Created="Not created",e.Queued="Queued to send",e.Sent="Sent",e))(Z$1||{}),A$1=(e=>(e.INVITE="invite",e.RESET="reset",e))(A$1||{}),K$1=(e=>(e.token="token",e.cableToken="cable_token",e.user="user",e.state="state",e.expiresAt="expiresAt",e.refreshAt="refreshAt",e.impersonated="impersonated",e.terminalTheme="terminalTheme",e))(K$1||{}),$$1=(e=>(e.NotLoaded="NotLoaded",e.Loading="Loading",e.Loaded="Loaded",e.Configured="Configured",e.Error="Error",e))($$1||{}),O$1=(e=>(e.Healthy="Healthy",e.Error="Error",e))(O$1||{}),X$1=(e=>(e.OAuth="OAuth",e.Login="Login",e))(X$1||{}),ee$1=(e=>(e.storageKey="BP_SDK_ANALYTICS_VARS",e.additionalQuoteOnline="onlinebuy",e.additionalQuoteOffline="nobuy",e))(ee$1||{}),te$1=(e=>(e.activeIdUpdate="activeIdUpdate",e.activeQuestionSetChange="activeQuestionSetChange",e.addItem="addItem",e.answerStateChanged="answerStateChanged",e.bpAnalyticsTrack="bpAnalyticsTrack",e.closePanel="closePanel",e.deleteItem="deleteItem",e.deletePool="deletePool",e.epFieldChanged="epFieldChanged",e.errorsUpdate="errorsUpdate",e.fakeValueUpdate="fakeValueUpdate",e.filterUpdate="filterUpdate",e.formLoaded="formLoaded",e.nudgeAnswer="nudgeAnswer",e.openPanel="openPanel",e.placesUpdate="placesUpdate",e.questionSetAdded="questionSetAdded",e.questionSetCompletionChanged="questionSetCompletionChanged",e.quoteFailure="quoteFailure",e.quotesChanged="quotesChanged",e.quoteSuccess="quoteSuccess",e.removeActiveAnswer="removeActiveAnswer",e.saveAnswer="saveAnswer",e.saveVehicle="saveVehicle",e.sdkError="sdkError",e.tabChanged="tabChanged",e.updateActiveAnswer="updateActiveAnswer",e.userAuthenticationChanged="userAuthenticationChanged",e.valueUpdate="valueUpdate",e.vinUpdate="vinUpdate",e.ymmcUpdate="ymmcUpdate",e))(te$1||{}),oe$1=(e=>(e.vin="vin",e.ymm="ymm",e.trailers="Trailers",e))(oe$1||{}),ne$1=(e=>(e.trailers="trailers",e))(ne$1||{}),re$1=(e=>(e.Configuration="configuration",e.Make="make",e.Model="model",e.Year="year",e))(re$1||{}),ie$1=(e=>(e.Address="address",e.Accordion="accordion",e.AccumulatePercentage="accumulate_percentage",e.Vehicle="vehicle",e.Driver="driver",e.Stepper="stepper",e.Step="step",e.Coverage="coverage",e.AutoCollapsedAccordion="auto_collapsed_accordion",e))(ie$1||{}),s=(e=>(e.Address="address",e.Anchor="anchor",e.CheckBox="checkbox",e.CoverageType="coverage_type",e.Currency="currency",e.Date="date",e.DeletePool="delete_pool",e.Dialog="dialog",e.DriversLicense="drivers_license",e.DropDown="dropdown",e.Email="email",e.FederalEmployeeIdentification="fein",e.JSON="json",e.Label="label",e.Masked="masked",e.Number="number",e.Object="object",e.Percentage="percentage",e.Phone="phone",e.Radio="radio",e.Select="select",e.SocialSecurityNumber="ssn",e.Step="step",e.Tenant="tenant",e.Text="text",e.Vehicle="vehicle",e.Url="url",e.VIN="vin",e.Year="year",e.ZipCode="zipcode",e))(s||{}),E$1=(e=>(e.Accumulator="accumulator",e.AddressJSON="address_json",e.BusinessClass="business_class",e.City="city",e.CommercialAutoACV="ca_acv",e.CommercialAutoCategory="ca_category",e.CommercialAutoCount="ca_count",e.CommercialAutoDrivetrain="ca_drivetrain",e.CommercialAutoFlow="ca_flow",e.CommercialAutoGCW="ca_gcw",e.CommercialAutoGVW="ca_gvw",e.CommercialAutoJson="ca_json",e.CommercialAutoMake="ca_make",e.CommercialAutoModel="ca_model",e.CommercialAutoMSRP="ca_msrp",e.CommercialAutoSubModel="ca_submodel",e.CommercialAutoTractor="ca_tractor",e.CommercialAutoVIN="ca_vin",e.CommercialAutoYear="ca_year",e.County="county",e.DriversLicenseState="drivers_license_state",e.Indent="indent",e.Increment="increment",e.JornayaLeadID="jornaya_lead_id",e.LinesOfBusiness="lines_of_business",e.MotorVehicleReportComplete="mvr_complete",e.MotorVehicleReportState="mvr_state",e.MotorVehicleReportCondition="mvr_report_condition",e.State="state",e.Street1="street_1",e.Street2="street_2",e.ZipCode="zipcode",e))(E$1||{}),ae$1=(e=>(e.CoverageLimit="coverage limit",e))(ae$1||{}),ce$1=(e=>(e.MaximumDate="maxDate",e.MaximumValue="max",e.MinimumDate="minDate",e.MinimumValue="min",e.Pattern="pattern",e.Required="required",e))(ce$1||{}),se$1=(e=>(e.Acord="acord",e.Acord125="acord_125",e.Acord126="acord_126",e.Acord130="acord_130",e))(se$1||{}),ue$1=(e=>(e.BP_QUOTABLE="bp_quotable",e.OFFLINE="offline",e.ONLINE="online",e))(ue$1||{}),le$1=(e=>(e.Pending="pending",e.Queued="queued",e.Executing="executing",e.Completed="completed",e.Failed="failed",e.Aborted="aborted",e))(le$1||{}),de$1=(e=>(e.ClueReport="ClueReport",e.MotorVehicleReport="MotorVehicleReport",e.RequestPrefill="RequestPrefill",e.DriverScore="DriverScore",e.JornayaAudit="JornayaAudit",e.DotNumber="DotNumber",e))(de$1||{}),C$1=(e=>(e.Incomplete="incomplete",e.InProgress="in_progress",e.Completed="completed",e.Quoted="quoted",e))(C$1||{}),pe$1=(e=>(e.not_permitted_to_bind="not_permitted_to_bind",e))(pe$1||{}),_e$1=(e=>(e.dialog="dialog",e))(_e$1||{}),me$1=(e=>(e.NON_ADMITTED="non_admitted",e.WHOLESALER="wholesaler",e.INSTANT_ENROLLMENT="instant_enrollment",e.ADDITIONAL_MARKET="additional_market",e.OPT_IN_QUOTE_FLOW="opt_in_quote_flow",e))(me$1||{});var I$1=(e=>(e.unsent="unsent",e.in_progress="in_progress",e.sent="sent",e.completed="completed",e.failed="failed",e.timed_out="timed_out",e.ineligible="ineligible",e.referral="referral",e.bound="bound",e))(I$1||{}),fe=(e=>(e.AcordForm="acord_form_pdf",e.AgentQuoteStart="agent_quote_start",e.ClientQuoteStart="client_quote_start",e.Storefront="storefront",e))(fe||{}),P$1=(e=>(e.NotLoaded="NotLoaded",e.Loading="Loading",e.Loaded="Loaded",e.Error="Error",e))(P$1||{});const ge$1={configurations:{},makes:{},models:{},selection:{},vin:{},years:{}},ve$1={list:[],isLoaded:!1};var be$1=Object.defineProperty,q=Object.getOwnPropertySymbols,$e$1=Object.prototype.hasOwnProperty,ke$1=Object.prototype.propertyIsEnumerable,D=(e,t,o)=>t in e?be$1(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,F$1=(e,t)=>{for(var o in t||(t={}))$e$1.call(t,o)&&D(e,o,t[o]);if(q)for(var o of q(t))ke$1.call(t,o)&&D(e,o,t[o]);return e};F$1({},ge$1),F$1({},ve$1);var Ce$1=Object.defineProperty,N$1=Object.getOwnPropertySymbols,Pe$1=Object.prototype.hasOwnProperty,Ae$1=Object.prototype.propertyIsEnumerable,L=(e,t,o)=>t in e?Ce$1(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,g=(e,t)=>{for(var o in t||(t={}))Pe$1.call(t,o)&&L(e,o,t[o]);if(N$1)for(var o of N$1(t))Ae$1.call(t,o)&&L(e,o,t[o]);return e};const ye$1={configurations:{},makes:{},models:{},selection:{},vins:{},years:{}},y$1={state:P$1.NotLoaded,map:{}},R$1={state:P$1.NotLoaded},Se$1={form:P$1.NotLoaded},Te$1={answers:g({},y$1),application:g({},Se$1),bindQuotes:{},choices:{},carriersProducts:g({},R$1),questionPools:g({},y$1),questionSets:g({},y$1),quotes:g({},R$1),refilters:{},vehicles:g({},ye$1)};var we$1=Object.defineProperty,U$1=Object.getOwnPropertySymbols,Oe$1=Object.prototype.hasOwnProperty,Ee$1=Object.prototype.propertyIsEnumerable,Q=(e,t,o)=>t in e?we$1(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,j$1=(e,t)=>{for(var o in t||(t={}))Oe$1.call(t,o)&&Q(e,o,t[o]);if(U$1)for(var o of U$1(t))Ee$1.call(t,o)&&Q(e,o,t[o]);return e};const Ie$1={auth:$$1.NotLoaded,config:$$1.NotLoaded,health:O$1.Healthy,state:$$1.NotLoaded,user:$$1.NotLoaded,socket:w$1.NotConnected,socketId:""};j$1({},Te$1),j$1({},Ie$1);var qe$1=(e=>(e.QuestionSetSaved="QuestionSetSaved",e))(qe$1||{});function a(e){return e.uri?e.uri:e.env===b.Production||e.env===void 0?"https://partner-engine.boldpenguin.com":e.env===b.Development?"http://localhost:8080":`https://partner-engine-uat.${e.env}.boldpenguin.com`}var De$1=Object.freeze({__proto__:null,partnerEngineUri:a}),Fe$1=Object.defineProperty,Ne$1=Object.defineProperties,Le$1=Object.getOwnPropertyDescriptors,x$1=Object.getOwnPropertySymbols,Re$1=Object.prototype.hasOwnProperty,Ue$1=Object.prototype.propertyIsEnumerable,B$1=(e,t,o)=>t in e?Fe$1(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,Qe$1=(e,t)=>{for(var o in t||(t={}))Re$1.call(t,o)&&B$1(e,o,t[o]);if(x$1)for(var o of x$1(t))Ue$1.call(t,o)&&B$1(e,o,t[o]);return e},je$1=(e,t)=>Ne$1(e,Le$1(t)),u$1=(e=>(e.GET="GET",e.POST="POST",e.PUT="PUT",e.PATCH="PATCH",e.DELETE="DELETE",e))(u$1||{});function r(e,t="GET",o){const n=new Headers({Accept:"application/json","Content-Type":"application/json"});e&&n.append("Authorization",`Bearer ${e}`);const c={credentials:"include",method:t,headers:n};return o&&(c.body=JSON.stringify(o)),c}function h(e){let t="";const o=Object.entries(e!=null?e:{}).filter(([,n])=>n);return o.length>0&&(t=`?${o.map(([n,c])=>{const d=encodeURIComponent(n),l=encodeURIComponent(c);return `${d}=${l}`}).join("&")}`),t}const i$1=(e,t,o)=>new Promise((n,c)=>{fetch(e,t).then(d=>{let l;return o!=null&&o.expectsEmptyResponse?l=Me$1:o!=null&&o.couldHaveEmptyResponse?l=Be$1:o!=null&&o.expectBlob?l=Ve$1:l=ze$1,l(d,n,c)}).catch(d=>xe(d,c));});function xe(e,t){let o={error:e};e.error&&(o=e),t(o);}function z$1(e,t,o){const n=je$1(Qe$1({},t||{}),{error:e});o(n);}function Be$1(e,t,o){return e.ok?t(k$1(e)):o(k$1(e))}function ze$1(e,t,o){return e.json().then(n=>{const c=k$1(e,n);(e.ok?t:o)(c);}).catch(n=>z$1(n,e,o))}function Me$1(e,t,o){const n=k$1(e);(e.ok?t:o)(n);}function Ve$1(e,t,o){return e.blob().then(n=>{const c=k$1(e,n);(e.ok?t:o)(c);}).catch(n=>z$1(n,e,o))}function k$1(e,t){return {status:e.status,redirected:e.redirected,url:e.url,metadata:{searchTotalItems:Number(e.headers.get("x-total"))},parsedBody:t}}function He$1(e,t,o){const n=`${a(o)}/application_forms/${t.application_form_id}/answers/${t.id}`;return i$1(n,r(o.token,u$1.PATCH,e))}var Ge$1=Object.freeze({__proto__:null,updateAnswer:He$1});function Je$1(e,t){const o=`${a(t)}/application_forms/${e}`;return i$1(o,r(t.token))}function We$1(e,t){const o=`${a(t)}/application_forms/${e}/latest`;return i$1(o,r(t.token))}function Ye$1(e,t){const o=`${a(t)}/exchange_application_forms`;return i$1(o,r(t.token,u$1.POST,e))}function Ze$1(e,t){const o=`${a(t)}/application_forms`;return i$1(o,r(t.token,u$1.POST,e))}function Ke$1(e,t){const o=`${a(t)}/application_forms/${e}/clones`;return i$1(o,r(t.token,u$1.POST))}function Xe$1(e,t,o){const n=`${a(o)}/application_forms/${t.id}`;return i$1(n,r(o.token,u$1.PATCH,e))}function et$1(e,t){const o=`${a(t)}/application_forms/${e}`;return i$1(o,r(t.token,u$1.DELETE))}function tt$1(e,t){const o=`${a(t)}/application_forms/${e.id}/current_tier_skips`;return i$1(o,r(t.token,u$1.POST,e))}function ot$1(e){const t=a(e);return i$1(`${t}/tenants/${e.tenantId}/application_forms/guest`,r(void 0,u$1.POST,{source:e.applicationSource,source_metadata:e.applicationMetadata}))}function nt$1(e,t){const o=`${a(t)}/tokens/${e}`;return i$1(o,r(t.token,u$1.GET))}function rt$1(e,t,o,n,c,d,l){const m=h({column:t,order:o,page:n,per_page:c,questions:d,q:l}),p=`${a(e)}/application_forms/${m}`;return i$1(p,r(e.token))}function it$1(e,t){const o=`${a(t)}/application_forms/${e}/export/eit_scenario`;return i$1(o,r(t.token),{expectBlob:!0})}function at$1(e,t){const o=`${a(t)}/application_forms/${e}/eligibility_results`;return i$1(o,r(t.token,u$1.GET))}function ct$1(e,t){const o=`${a(t)}/application_forms/${e}/add_next_bucket`;return i$1(o,r(t.token,u$1.POST),{expectsEmptyResponse:!0})}var st$1=Object.freeze({__proto__:null,getApplicationForm:Je$1,getLatestApplicationForm:We$1,createExchangeApplicationForm:Ye$1,createApplicationForm:Ze$1,cloneApplicationForm:Ke$1,updateApplicationForm:Xe$1,deleteApplicationForm:et$1,createCurrentTierSkips:tt$1,getTokenForAuthGuestFlow:ot$1,getToken:nt$1,searchApplicationForms:rt$1,getApplicationFormEitScenario:it$1,getEligibilityResults:at$1,updateApplicationToNextBucket:ct$1});function ut$1(e,t,o){const n=`${a(o)}/application_forms/${e.id}/application_forms_question_sets/${t}`;return i$1(n,r(o.token))}function lt$1(e){const t=`${a(e)}/question_set_groups`;return i$1(t,r(e.token))}function dt$1(e,t,o){const n=`${a(o)}/application_forms/${t.application_form_id}/application_forms_question_sets/${t.id}`;return i$1(n,r(o.token,u$1.PATCH,e))}function pt$1(e,t,o){const n=`${a(o)}/application_forms/${t.application_form_id}/application_forms_question_sets`;return i$1(n,r(o.token,u$1.POST,e))}var _t$1=Object.freeze({__proto__:null,getQuestionSet:ut$1,getQuestionSetGroups:lt$1,updateQuestionSet:dt$1,createQuestionSet:pt$1});function mt$1(e,t){const o=`${a(t)}/tenants/${e}/carrier_product_buckets`;return i$1(o,r(t.token))}function ft$1(e,t,o){const n=`${a(o)}/tenants/${e}/carrier_product_buckets`;return i$1(n,r(o.token,u$1.POST,t))}function ht$1(e,t,o,n){const c=`${a(n)}/tenants/${e}/carrier_product_buckets/${t}`;return i$1(c,r(n.token,u$1.PUT,o))}function gt$1(e,t,o){const n=`${a(o)}/tenants/${e}/carrier_product_buckets/${t}`;return i$1(n,r(o.token,u$1.DELETE),{expectsEmptyResponse:!0})}function vt$1(e,t,o){const n=`${a(o)}/tenants/${e}/carrier_product_buckets/reorder`;return i$1(n,r(o.token,u$1.PATCH,{carrier_product_buckets:t}))}var bt$1=Object.freeze({__proto__:null,getCarrierProductBuckets:mt$1,createCarrierProductBuckets:ft$1,updateCarrierProductBuckets:ht$1,deleteCarrierProductBuckets:gt$1,reorderCarrierProductBuckets:vt$1});function M$1(e){const t={};return Object.keys(e).forEach(o=>{e[o]&&(t[o]=e[o]);}),t}function $t$1(e,t){const o=`${a(t)}/questions/${e}/choices`;return i$1(o,r(t.token))}function kt$1(e,t){const o=`${a(t)}/choices/${e}`;return i$1(o,r(t.token))}function Ct$1(e,t){return i$1(`${a(t)}/choices`,r(t.token,u$1.POST,e))}function Pt$1(e,t,o){const n=`${a(o)}/choices/${t.id}`;return i$1(n,r(o.token,u$1.PATCH,e))}function At$1(e,t,o){const n=M$1(t),c=`${a(o)}/questions/${e}/choices${h(n)}`;return i$1(c,r(o.token))}function yt$1(e,t,o){const n=M$1(t),c=`${a(o)}/questions/${e}/choices${h(n)}`;return i$1(c,r(o.token))}var St$1=Object.freeze({__proto__:null,getChoices:$t$1,getChoice:kt$1,addChoice:Ct$1,updateChoice:Pt$1,searchChoices:At$1,searchChoicesWithNudges:yt$1});function Tt$1(e){const t=`${a(e)}/features`;return i$1(t,r(e.token,u$1.GET))}var wt$1=Object.freeze({__proto__:null,getFeatures:Tt$1});function Ot$1({application_id:e,config:t,question_pool_id:o,parent_answer_pool_id:n}){const c=`${a(t)}/application_forms/${e}/answer_pools`;return i$1(c,r(t.token,u$1.POST,{question_pool_id:o,parent_answer_pool_id:n}))}function Et$1({application_id:e,config:t,answer_pool_id:o}){const n=`${a(t)}/application_forms/${e}/answer_pools/${o}`;return i$1(n,r(t.token,u$1.DELETE))}var It$1=Object.freeze({__proto__:null,addQuestionPool:Ot$1,removeQuestionPool:Et$1});function qt$1(e,t){const o=`${a(t)}/application_forms/${e}/carriers_products`;return i$1(o,r(t.token))}var Dt$1=Object.freeze({__proto__:null,getApplicationFormCarriersProducts:qt$1});function Ft$1(e,t){const o=`${a(t)}/application_forms/${e}/quote_requests`;return i$1(o,r(t.token))}function Nt$1(e,t,o){const n=h({bind_action:e.value}),c=`${a(o)}/application_forms/${t.application_form_id}/quote_requests/${t.id}/bind/${n}`;return i$1(c,r(o.token),{couldHaveEmptyResponse:!0})}function Lt$1(e,t,o){const n=`${a(o)}/application_forms/${t}/quote_requests/${e}/bind`;return i$1(n,r(o.token))}function Rt$1(e,t){const o=`${a(t)}/application_forms/${e.application_form_id}/quote_requests/${e.id}/details`;return i$1(o,r(t.token))}function Ut$1(e,t,o){const n=`${a(o)}/application_forms/${t.application_form_id}/quote_requests/${t.id}`;return i$1(n,r(o.token,u$1.PATCH,e))}var Qt$1=Object.freeze({__proto__:null,getQuoteRequests:Ft$1,bindQuoteAction:Nt$1,bindQuote:Lt$1,quoteDetails:Rt$1,updateQuote:Ut$1});function jt$1(e){const t=`${a(e)}/vehicles/years`;return i$1(t,r(e.token))}function xt$1(e,t,o){const n=`${a(t)}/vehicles/years/${e}/makes${h({type:o==null?void 0:o.type,name:o==null?void 0:o.name})}`;return i$1(n,r(t.token))}function Bt$1(e,t,o,n){const c=`${a(o)}/vehicles/years/${e}/makes/${t}/models${h({type:n})}`;return i$1(c,r(o.token))}function zt$1(e,t,o,n,c){const d=`${a(n)}/vehicles/years/${e}/makes/${t}/models/${o}/configurations${h({type:c})}`;return i$1(d,r(n.token))}function Mt$1(e,t){const o=`${a(t)}/vehicles/vins/${e}`;return i$1(o,r(t.token))}function Vt$1(e){var t,o,n;const{appId:c,questionGroupId:d,configurationId:l,flowType:m,config:p,answerPoolId:f,type:V,vehicle:v}=e,T={question_group_id:d,configuration_id:l,flow:m,answer_pool_id:f};f||delete T.answer_pool_id;const H=`${a(p)}/application_forms/${c}/vehicles${h({type:V,year:(t=v==null?void 0:v.yearId)!=null?t:void 0,make:(o=v==null?void 0:v.makeId)!=null?o:void 0,model:(n=v==null?void 0:v.modelId)!=null?n:void 0})}`;return i$1(H,r(p.token,u$1.POST,T))}var Ht$1=Object.freeze({__proto__:null,getYears:jt$1,getMakes:xt$1,getModels:Bt$1,getConfigurations:zt$1,getVinDetails:Mt$1,selectVehicle:Vt$1});Object.freeze({__proto__:null,Answer:Ge$1,ApplicationForm:st$1,ApplicationFormQuestionSet:_t$1,CarrierProductBucket:bt$1,Choice:St$1,Features:wt$1,PartnerEngineConfig:De$1,QuestionPool:It$1,QuoteableCarriersProduct:Dt$1,QuoteRequest:Qt$1,Vehicles:Ht$1});function _(e){return e.authUri?e.authUri:e.env===b.Production||e.env===void 0?"https://boldpenguin-auth.boldpenguin.com":e.env===b.Development?"http://localhost:3000":`https://boldpenguin-auth-uat.${e.env}.boldpenguin.com`}var Jt$1=Object.freeze({__proto__:null,authenticatorUri:_}),S$1=(e,t,o)=>new Promise((n,c)=>{var d=p=>{try{m(o.next(p));}catch(f){c(f);}},l=p=>{try{m(o.throw(p));}catch(f){c(f);}},m=p=>p.done?n(p.value):Promise.resolve(p.value).then(d,l);m((o=o.apply(e,t)).next());});function Wt$1(e,t,o,n){if(o.clientId===void 0)throw "Client ID required";const c=new URL(`${_(o)}/auth/authorize`);return c.searchParams.set("response_type","token"),c.searchParams.set("client_id",encodeURI(o.clientId)),c.searchParams.set("redirect_uri",encodeURI(e)),c.searchParams.set("state",encodeURI(t)),n!=null&&n.provider&&c.searchParams.set("provider",encodeURI(n.provider)),n!=null&&n.login_hint&&c.searchParams.set("login_hint",encodeURI(n.login_hint)),n!=null&&n.inviteToken&&c.searchParams.set("invitation_token",encodeURI(n.inviteToken)),c.toString()}function Yt$1(e,t,o){const n=new URL(`${_(t)}/v2/login`);return n.searchParams.set("redirect_uri",encodeURI(e)),o!=null&&o.login_hint&&n.searchParams.set("login_hint",encodeURI(o.login_hint)),n.href}function Zt$1(e){const t=[];if(e.token){console.warn("Token no longer required, update to unified auth.");const n=`${_(e)}/auth/deauthorize`;t.push(i$1(n,r(e.token,u$1.DELETE),{expectsEmptyResponse:!0}));}const o=`${_(e)}/v2/logout`;return t.push(i$1(o,r(void 0,u$1.DELETE),{expectsEmptyResponse:!0})),Promise.all(t)}function Kt$1({config:e,username:t,password:o}){if(!e||e.clientId===void 0)throw "Client ID required";const n=`${_(e)}/auth/token`;return i$1(n,r(void 0,u$1.POST,{username:t,password:o,client_id:e.clientId,grant_type:"password"}))}function Xt$1(e){if(e.token!==void 0){console.warn("Token no longer required, update to unified auth.");const t=`${_(e)}/auth/user`;return i$1(t,r(e.token,u$1.GET))}else {const t=`${_(e)}/v2/userinfo`;return i$1(t,r(void 0,u$1.GET))}}function eo$1(e,t){if(!e||e.clientId===void 0)throw "Client ID required";const o=`${_(e)}/api/terminal/registrations`,n=r(void 0,u$1.POST,t);return n.headers.append("params",JSON.stringify({client_id:e.clientId})),i$1(o,n)}function to$1(e,t){return S$1(this,null,function*(){if(!e||e.clientId===void 0)throw "Client ID required";const o=`${_(e)}/api/terminal/forgot_password_emails`,n=r(void 0,u$1.POST,{username:t});return n.headers.append("params",JSON.stringify({client_id:e.clientId})),i$1(o,n)})}function oo$1(e){return S$1(this,null,function*(){if(!e||!e.clientId)throw "Client ID required";const t=`${_(e)}/guest_auth?client_id=${e.clientId}`,o=r(void 0,u$1.POST);return o.headers.append("params",JSON.stringify({client_id:e.clientId})),i$1(t,o)})}function no$1(e){return S$1(this,arguments,function*({config:t,newPassword:o,token:n,tokenType:c}){if(!t||t.clientId===void 0)throw "Client ID required";const d=`${_(t)}/api/terminal/password_resets`,l={password:o,password_confirmation:o};switch(c){case A$1.INVITE:l.invitation_token=n;break;case A$1.RESET:l.reset_password_token=n;break}const m=r(void 0,u$1.POST,l);return m.headers.append("params",JSON.stringify({client_id:t.clientId})),i$1(d,m).then(p=>{var f;return (f=p.parsedBody.username)!=null?f:""})})}function ro$1(e){const t=`${_(e)}/api/terminal/theme`,o=r(e.token,u$1.GET);return i$1(t,o)}function io$1(e,t){const o=`${_(t)}/api/storefronts/${e}`,n=r();return i$1(o,n)}var ao$1=Object.freeze({__proto__:null,authorizeUri:Wt$1,authorizeCookieUri:Yt$1,deauthorize:Zt$1,authorizeWithUserNamePassword:Kt$1,getUser:Xt$1,registerUser:eo$1,forgotPassword:to$1,guestToken:oo$1,resetPassword:no$1,getTerminalTheme:ro$1,getStorefrontByCode:io$1});Object.freeze({__proto__:null,Auth:ao$1,AuthenticatorConfig:Jt$1});

function f$1(t){const e={clientId:t.clientId,authUri:t.authUri,env:t.env},n=Cl();return n&&(e.token=n),e}

var ge=(e=>(e.LIGHT="Light",e.COLOR="Color",e))(ge||{}),Ce=(e=>(e.ApplicationForms="application_forms",e.PartnerPhoneCalls="partner_phone_calls",e.FeatureCheck="features",e.Questions="questions",e.Rules="rules",e.RuleExcludedChoices="rule_excluded_choices",e.SearchableQuestions="searchable_questions",e.SendToExchange="send_to_exchange",e.TakeOver="take_over",e))(Ce||{}),ve=(e=>(e.Appetite="appetite",e.AddQuestionSet="application_forms_question_set",e.CarrierProducts="eligible_carriers_products",e.ApplicationForm="application_form",e.RemoveQuestionSet="destroy_application_forms_question_set",e.Message="message",e.QuoteRequest="quote_request",e.Answer="answer",e.ApplicationFormPercentCompleted="application_form_percent_completed",e.ApplicationFormProcess="application_form_process",e.RealTimeEligibility="real_time_eligibility",e))(ve||{}),R=(e=>(e.NotConnected="NotConnected",e.Connected="Connected",e.Disconnected="Disconnected",e.Connecting="Connecting",e.Disconnecting="Disconnecting",e))(R||{}),Ae=(e=>(e.Create="create",e.Index="index",e.Show="show",e.Update="update",e))(Ae||{}),U=(e=>(e.Development="development",e.Alpha="alpha",e.Beta="beta",e.Production="prod",e))(U||{}),be=(e=>(e.Accepted="Accepted",e.Expired="Expired",e.Not_Created="Not created",e.Queued="Queued to send",e.Sent="Sent",e))(be||{}),ye=(e=>(e.INVITE="invite",e.RESET="reset",e))(ye||{}),Se=(e=>(e.token="token",e.cableToken="cable_token",e.user="user",e.state="state",e.expiresAt="expiresAt",e.refreshAt="refreshAt",e.impersonated="impersonated",e.terminalTheme="terminalTheme",e))(Se||{}),S=(e=>(e.NotLoaded="NotLoaded",e.Loading="Loading",e.Loaded="Loaded",e.Configured="Configured",e.Error="Error",e))(S||{}),j=(e=>(e.Healthy="Healthy",e.Error="Error",e))(j||{}),Pe=(e=>(e.OAuth="OAuth",e.Login="Login",e))(Pe||{}),ke=(e=>(e.storageKey="BP_SDK_ANALYTICS_VARS",e.additionalQuoteOnline="onlinebuy",e.additionalQuoteOffline="nobuy",e))(ke||{}),$e=(e=>(e.activeIdUpdate="activeIdUpdate",e.activeQuestionSetChange="activeQuestionSetChange",e.addItem="addItem",e.answerStateChanged="answerStateChanged",e.bpAnalyticsTrack="bpAnalyticsTrack",e.closePanel="closePanel",e.deleteItem="deleteItem",e.deletePool="deletePool",e.epFieldChanged="epFieldChanged",e.errorsUpdate="errorsUpdate",e.fakeValueUpdate="fakeValueUpdate",e.filterUpdate="filterUpdate",e.formLoaded="formLoaded",e.nudgeAnswer="nudgeAnswer",e.openPanel="openPanel",e.placesUpdate="placesUpdate",e.questionSetAdded="questionSetAdded",e.questionSetCompletionChanged="questionSetCompletionChanged",e.quoteFailure="quoteFailure",e.quotesChanged="quotesChanged",e.quoteSuccess="quoteSuccess",e.removeActiveAnswer="removeActiveAnswer",e.saveAnswer="saveAnswer",e.saveVehicle="saveVehicle",e.sdkError="sdkError",e.tabChanged="tabChanged",e.updateActiveAnswer="updateActiveAnswer",e.userAuthenticationChanged="userAuthenticationChanged",e.valueUpdate="valueUpdate",e.vinUpdate="vinUpdate",e.ymmcUpdate="ymmcUpdate",e))($e||{}),Oe=(e=>(e.vin="vin",e.ymm="ymm",e.trailers="Trailers",e))(Oe||{}),we=(e=>(e.trailers="trailers",e))(we||{}),Te=(e=>(e.Configuration="configuration",e.Make="make",e.Model="model",e.Year="year",e))(Te||{}),qe=(e=>(e.Address="address",e.Accordion="accordion",e.AccumulatePercentage="accumulate_percentage",e.Vehicle="vehicle",e.Driver="driver",e.Stepper="stepper",e.Step="step",e.Coverage="coverage",e.AutoCollapsedAccordion="auto_collapsed_accordion",e))(qe||{}),u=(e=>(e.Address="address",e.Anchor="anchor",e.CheckBox="checkbox",e.CoverageType="coverage_type",e.Currency="currency",e.Date="date",e.DeletePool="delete_pool",e.Dialog="dialog",e.DriversLicense="drivers_license",e.DropDown="dropdown",e.Email="email",e.FederalEmployeeIdentification="fein",e.JSON="json",e.Label="label",e.Masked="masked",e.Number="number",e.Object="object",e.Percentage="percentage",e.Phone="phone",e.Radio="radio",e.Select="select",e.SocialSecurityNumber="ssn",e.Step="step",e.Tenant="tenant",e.Text="text",e.Vehicle="vehicle",e.Url="url",e.VIN="vin",e.Year="year",e.ZipCode="zipcode",e))(u||{}),x=(e=>(e.Accumulator="accumulator",e.AddressJSON="address_json",e.BusinessClass="business_class",e.City="city",e.CommercialAutoACV="ca_acv",e.CommercialAutoCategory="ca_category",e.CommercialAutoCount="ca_count",e.CommercialAutoDrivetrain="ca_drivetrain",e.CommercialAutoFlow="ca_flow",e.CommercialAutoGCW="ca_gcw",e.CommercialAutoGVW="ca_gvw",e.CommercialAutoJson="ca_json",e.CommercialAutoMake="ca_make",e.CommercialAutoModel="ca_model",e.CommercialAutoMSRP="ca_msrp",e.CommercialAutoSubModel="ca_submodel",e.CommercialAutoTractor="ca_tractor",e.CommercialAutoVIN="ca_vin",e.CommercialAutoYear="ca_year",e.County="county",e.DriversLicenseState="drivers_license_state",e.Indent="indent",e.Increment="increment",e.JornayaLeadID="jornaya_lead_id",e.LinesOfBusiness="lines_of_business",e.MotorVehicleReportComplete="mvr_complete",e.MotorVehicleReportState="mvr_state",e.MotorVehicleReportCondition="mvr_report_condition",e.State="state",e.Street1="street_1",e.Street2="street_2",e.ZipCode="zipcode",e))(x||{}),Ee=(e=>(e.CoverageLimit="coverage limit",e))(Ee||{}),Fe=(e=>(e.MaximumDate="maxDate",e.MaximumValue="max",e.MinimumDate="minDate",e.MinimumValue="min",e.Pattern="pattern",e.Required="required",e))(Fe||{}),Ie=(e=>(e.Acord="acord",e.Acord125="acord_125",e.Acord126="acord_126",e.Acord130="acord_130",e))(Ie||{}),Ne=(e=>(e.BP_QUOTABLE="bp_quotable",e.OFFLINE="offline",e.ONLINE="online",e))(Ne||{}),De=(e=>(e.Pending="pending",e.Queued="queued",e.Executing="executing",e.Completed="completed",e.Failed="failed",e.Aborted="aborted",e))(De||{}),Le=(e=>(e.ClueReport="ClueReport",e.MotorVehicleReport="MotorVehicleReport",e.RequestPrefill="RequestPrefill",e.DriverScore="DriverScore",e.JornayaAudit="JornayaAudit",e.DotNumber="DotNumber",e))(Le||{}),$=(e=>(e.Incomplete="incomplete",e.InProgress="in_progress",e.Completed="completed",e.Quoted="quoted",e))($||{}),Qe=(e=>(e.not_permitted_to_bind="not_permitted_to_bind",e))(Qe||{}),Re=(e=>(e.dialog="dialog",e))(Re||{}),Ue=(e=>(e.NON_ADMITTED="non_admitted",e.WHOLESALER="wholesaler",e.INSTANT_ENROLLMENT="instant_enrollment",e.ADDITIONAL_MARKET="additional_market",e.OPT_IN_QUOTE_FLOW="opt_in_quote_flow",e))(Ue||{});var B=(e=>(e.unsent="unsent",e.in_progress="in_progress",e.sent="sent",e.completed="completed",e.failed="failed",e.timed_out="timed_out",e.ineligible="ineligible",e.referral="referral",e.bound="bound",e))(B||{}),je=(e=>(e.AcordForm="acord_form_pdf",e.AgentQuoteStart="agent_quote_start",e.ClientQuoteStart="client_quote_start",e.Storefront="storefront",e))(je||{}),O=(e=>(e.NotLoaded="NotLoaded",e.Loading="Loading",e.Loaded="Loaded",e.Error="Error",e))(O||{});const Be={configurations:{},makes:{},models:{},selection:{},vin:{},years:{}},Ve={list:[],isLoaded:!1};var Me=Object.defineProperty,V=Object.getOwnPropertySymbols,ze=Object.prototype.hasOwnProperty,Ge=Object.prototype.propertyIsEnumerable,M=(e,t,o)=>t in e?Me(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,z=(e,t)=>{for(var o in t||(t={}))ze.call(t,o)&&M(e,o,t[o]);if(V)for(var o of V(t))Ge.call(t,o)&&M(e,o,t[o]);return e};z({},Be),z({},Ve);var He=Object.defineProperty,G=Object.getOwnPropertySymbols,Je=Object.prototype.hasOwnProperty,We=Object.prototype.propertyIsEnumerable,H=(e,t,o)=>t in e?He(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,v=(e,t)=>{for(var o in t||(t={}))Je.call(t,o)&&H(e,o,t[o]);if(G)for(var o of G(t))We.call(t,o)&&H(e,o,t[o]);return e};const Ye={configurations:{},makes:{},models:{},selection:{},vins:{},years:{}},E={state:O.NotLoaded,map:{}},J={state:O.NotLoaded},Ze={form:O.NotLoaded},Ke={answers:v({},E),application:v({},Ze),bindQuotes:{},choices:{},carriersProducts:v({},J),questionPools:v({},E),questionSets:v({},E),quotes:v({},J),refilters:{},vehicles:v({},Ye)};var Xe=Object.defineProperty,W=Object.getOwnPropertySymbols,et=Object.prototype.hasOwnProperty,tt=Object.prototype.propertyIsEnumerable,Y=(e,t,o)=>t in e?Xe(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,Z=(e,t)=>{for(var o in t||(t={}))et.call(t,o)&&Y(e,o,t[o]);if(W)for(var o of W(t))tt.call(t,o)&&Y(e,o,t[o]);return e};const ot={auth:S.NotLoaded,config:S.NotLoaded,health:j.Healthy,state:S.NotLoaded,user:S.NotLoaded,socket:R.NotConnected,socketId:""};Z({},Ke),Z({},ot);var rt=(e=>(e.QuestionSetSaved="QuestionSetSaved",e))(rt||{}),nt=(e=>(e.LIGHT="Light",e.COLOR="Color",e))(nt||{}),it=(e=>(e.ApplicationForms="application_forms",e.PartnerPhoneCalls="partner_phone_calls",e.FeatureCheck="features",e.Questions="questions",e.Rules="rules",e.RuleExcludedChoices="rule_excluded_choices",e.SearchableQuestions="searchable_questions",e.SendToExchange="send_to_exchange",e.TakeOver="take_over",e))(it||{}),at=(e=>(e.Appetite="appetite",e.AddQuestionSet="application_forms_question_set",e.CarrierProducts="eligible_carriers_products",e.ApplicationForm="application_form",e.RemoveQuestionSet="destroy_application_forms_question_set",e.Message="message",e.QuoteRequest="quote_request",e.Answer="answer",e.ApplicationFormPercentCompleted="application_form_percent_completed",e.ApplicationFormProcess="application_form_process",e.RealTimeEligibility="real_time_eligibility",e))(at||{}),K=(e=>(e.NotConnected="NotConnected",e.Connected="Connected",e.Disconnected="Disconnected",e.Connecting="Connecting",e.Disconnecting="Disconnecting",e))(K||{}),ct=(e=>(e.Create="create",e.Index="index",e.Show="show",e.Update="update",e))(ct||{}),y=(e=>(e.Development="development",e.Alpha="alpha",e.Beta="beta",e.Production="prod",e))(y||{}),st=(e=>(e.Accepted="Accepted",e.Expired="Expired",e.Not_Created="Not created",e.Queued="Queued to send",e.Sent="Sent",e))(st||{}),F=(e=>(e.INVITE="invite",e.RESET="reset",e))(F||{}),ut=(e=>(e.token="token",e.cableToken="cable_token",e.user="user",e.state="state",e.expiresAt="expiresAt",e.refreshAt="refreshAt",e.impersonated="impersonated",e.terminalTheme="terminalTheme",e))(ut||{}),P=(e=>(e.NotLoaded="NotLoaded",e.Loading="Loading",e.Loaded="Loaded",e.Configured="Configured",e.Error="Error",e))(P||{}),X=(e=>(e.Healthy="Healthy",e.Error="Error",e))(X||{}),lt=(e=>(e.OAuth="OAuth",e.Login="Login",e))(lt||{}),dt=(e=>(e.storageKey="BP_SDK_ANALYTICS_VARS",e.additionalQuoteOnline="onlinebuy",e.additionalQuoteOffline="nobuy",e))(dt||{}),pt=(e=>(e.activeIdUpdate="activeIdUpdate",e.activeQuestionSetChange="activeQuestionSetChange",e.addItem="addItem",e.answerStateChanged="answerStateChanged",e.bpAnalyticsTrack="bpAnalyticsTrack",e.closePanel="closePanel",e.deleteItem="deleteItem",e.deletePool="deletePool",e.epFieldChanged="epFieldChanged",e.errorsUpdate="errorsUpdate",e.fakeValueUpdate="fakeValueUpdate",e.filterUpdate="filterUpdate",e.formLoaded="formLoaded",e.nudgeAnswer="nudgeAnswer",e.openPanel="openPanel",e.placesUpdate="placesUpdate",e.questionSetAdded="questionSetAdded",e.questionSetCompletionChanged="questionSetCompletionChanged",e.quoteFailure="quoteFailure",e.quotesChanged="quotesChanged",e.quoteSuccess="quoteSuccess",e.removeActiveAnswer="removeActiveAnswer",e.saveAnswer="saveAnswer",e.saveVehicle="saveVehicle",e.sdkError="sdkError",e.tabChanged="tabChanged",e.updateActiveAnswer="updateActiveAnswer",e.userAuthenticationChanged="userAuthenticationChanged",e.valueUpdate="valueUpdate",e.vinUpdate="vinUpdate",e.ymmcUpdate="ymmcUpdate",e))(pt||{}),mt=(e=>(e.vin="vin",e.ymm="ymm",e.trailers="Trailers",e))(mt||{}),_t=(e=>(e.trailers="trailers",e))(_t||{}),ft=(e=>(e.Configuration="configuration",e.Make="make",e.Model="model",e.Year="year",e))(ft||{}),ht=(e=>(e.Address="address",e.Accordion="accordion",e.AccumulatePercentage="accumulate_percentage",e.Vehicle="vehicle",e.Driver="driver",e.Stepper="stepper",e.Step="step",e.Coverage="coverage",e.AutoCollapsedAccordion="auto_collapsed_accordion",e))(ht||{}),l=(e=>(e.Address="address",e.Anchor="anchor",e.CheckBox="checkbox",e.CoverageType="coverage_type",e.Currency="currency",e.Date="date",e.DeletePool="delete_pool",e.Dialog="dialog",e.DriversLicense="drivers_license",e.DropDown="dropdown",e.Email="email",e.FederalEmployeeIdentification="fein",e.JSON="json",e.Label="label",e.Masked="masked",e.Number="number",e.Object="object",e.Percentage="percentage",e.Phone="phone",e.Radio="radio",e.Select="select",e.SocialSecurityNumber="ssn",e.Step="step",e.Tenant="tenant",e.Text="text",e.Vehicle="vehicle",e.Url="url",e.VIN="vin",e.Year="year",e.ZipCode="zipcode",e))(l||{}),ee=(e=>(e.Accumulator="accumulator",e.AddressJSON="address_json",e.BusinessClass="business_class",e.City="city",e.CommercialAutoACV="ca_acv",e.CommercialAutoCategory="ca_category",e.CommercialAutoCount="ca_count",e.CommercialAutoDrivetrain="ca_drivetrain",e.CommercialAutoFlow="ca_flow",e.CommercialAutoGCW="ca_gcw",e.CommercialAutoGVW="ca_gvw",e.CommercialAutoJson="ca_json",e.CommercialAutoMake="ca_make",e.CommercialAutoModel="ca_model",e.CommercialAutoMSRP="ca_msrp",e.CommercialAutoSubModel="ca_submodel",e.CommercialAutoTractor="ca_tractor",e.CommercialAutoVIN="ca_vin",e.CommercialAutoYear="ca_year",e.County="county",e.DriversLicenseState="drivers_license_state",e.Indent="indent",e.Increment="increment",e.JornayaLeadID="jornaya_lead_id",e.LinesOfBusiness="lines_of_business",e.MotorVehicleReportComplete="mvr_complete",e.MotorVehicleReportState="mvr_state",e.MotorVehicleReportCondition="mvr_report_condition",e.State="state",e.Street1="street_1",e.Street2="street_2",e.ZipCode="zipcode",e))(ee||{}),gt=(e=>(e.CoverageLimit="coverage limit",e))(gt||{}),Ct=(e=>(e.MaximumDate="maxDate",e.MaximumValue="max",e.MinimumDate="minDate",e.MinimumValue="min",e.Pattern="pattern",e.Required="required",e))(Ct||{}),vt=(e=>(e.Acord="acord",e.Acord125="acord_125",e.Acord126="acord_126",e.Acord130="acord_130",e))(vt||{}),At=(e=>(e.BP_QUOTABLE="bp_quotable",e.OFFLINE="offline",e.ONLINE="online",e))(At||{}),bt=(e=>(e.Pending="pending",e.Queued="queued",e.Executing="executing",e.Completed="completed",e.Failed="failed",e.Aborted="aborted",e))(bt||{}),yt=(e=>(e.ClueReport="ClueReport",e.MotorVehicleReport="MotorVehicleReport",e.RequestPrefill="RequestPrefill",e.DriverScore="DriverScore",e.JornayaAudit="JornayaAudit",e.DotNumber="DotNumber",e))(yt||{}),w=(e=>(e.Incomplete="incomplete",e.InProgress="in_progress",e.Completed="completed",e.Quoted="quoted",e))(w||{}),St=(e=>(e.not_permitted_to_bind="not_permitted_to_bind",e))(St||{}),Pt=(e=>(e.dialog="dialog",e))(Pt||{}),kt=(e=>(e.NON_ADMITTED="non_admitted",e.WHOLESALER="wholesaler",e.INSTANT_ENROLLMENT="instant_enrollment",e.ADDITIONAL_MARKET="additional_market",e.OPT_IN_QUOTE_FLOW="opt_in_quote_flow",e))(kt||{});var te=(e=>(e.unsent="unsent",e.in_progress="in_progress",e.sent="sent",e.completed="completed",e.failed="failed",e.timed_out="timed_out",e.ineligible="ineligible",e.referral="referral",e.bound="bound",e))(te||{}),$t=(e=>(e.AcordForm="acord_form_pdf",e.AgentQuoteStart="agent_quote_start",e.ClientQuoteStart="client_quote_start",e.Storefront="storefront",e))($t||{}),T=(e=>(e.NotLoaded="NotLoaded",e.Loading="Loading",e.Loaded="Loaded",e.Error="Error",e))(T||{});const Ot={configurations:{},makes:{},models:{},selection:{},vin:{},years:{}},wt={list:[],isLoaded:!1};var Tt=Object.defineProperty,oe=Object.getOwnPropertySymbols,qt=Object.prototype.hasOwnProperty,Et=Object.prototype.propertyIsEnumerable,re=(e,t,o)=>t in e?Tt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,ne=(e,t)=>{for(var o in t||(t={}))qt.call(t,o)&&re(e,o,t[o]);if(oe)for(var o of oe(t))Et.call(t,o)&&re(e,o,t[o]);return e};ne({},Ot),ne({},wt);var Ft=Object.defineProperty,ie=Object.getOwnPropertySymbols,It=Object.prototype.hasOwnProperty,Nt=Object.prototype.propertyIsEnumerable,ae=(e,t,o)=>t in e?Ft(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,A=(e,t)=>{for(var o in t||(t={}))It.call(t,o)&&ae(e,o,t[o]);if(ie)for(var o of ie(t))Nt.call(t,o)&&ae(e,o,t[o]);return e};const Dt={configurations:{},makes:{},models:{},selection:{},vins:{},years:{}},I={state:T.NotLoaded,map:{}},ce={state:T.NotLoaded},Lt={form:T.NotLoaded},Qt={answers:A({},I),application:A({},Lt),bindQuotes:{},choices:{},carriersProducts:A({},ce),questionPools:A({},I),questionSets:A({},I),quotes:A({},ce),refilters:{},vehicles:A({},Dt)};var Rt=Object.defineProperty,se=Object.getOwnPropertySymbols,Ut=Object.prototype.hasOwnProperty,jt=Object.prototype.propertyIsEnumerable,ue=(e,t,o)=>t in e?Rt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,le=(e,t)=>{for(var o in t||(t={}))Ut.call(t,o)&&ue(e,o,t[o]);if(se)for(var o of se(t))jt.call(t,o)&&ue(e,o,t[o]);return e};const xt={auth:P.NotLoaded,config:P.NotLoaded,health:X.Healthy,state:P.NotLoaded,user:P.NotLoaded,socket:K.NotConnected,socketId:""};le({},Qt),le({},xt);var Bt=(e=>(e.QuestionSetSaved="QuestionSetSaved",e))(Bt||{});function c(e){return e.uri?e.uri:e.env===y.Production||e.env===void 0?"https://partner-engine.boldpenguin.com":e.env===y.Development?"http://localhost:8080":`https://partner-engine-uat.${e.env}.boldpenguin.com`}var Vt=Object.freeze({__proto__:null,partnerEngineUri:c}),Mt=Object.defineProperty,zt=Object.defineProperties,Gt=Object.getOwnPropertyDescriptors,de=Object.getOwnPropertySymbols,Ht=Object.prototype.hasOwnProperty,Jt=Object.prototype.propertyIsEnumerable,pe=(e,t,o)=>t in e?Mt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:o}):e[t]=o,Wt=(e,t)=>{for(var o in t||(t={}))Ht.call(t,o)&&pe(e,o,t[o]);if(de)for(var o of de(t))Jt.call(t,o)&&pe(e,o,t[o]);return e},Yt=(e,t)=>zt(e,Gt(t)),d=(e=>(e.GET="GET",e.POST="POST",e.PUT="PUT",e.PATCH="PATCH",e.DELETE="DELETE",e))(d||{});function n(e,t="GET",o){const r=new Headers({Accept:"application/json","Content-Type":"application/json"});e&&r.append("Authorization",`Bearer ${e}`);const a={credentials:"include",method:t,headers:r};return o&&(a.body=JSON.stringify(o)),a}function C(e){let t="";const o=Object.entries(e!=null?e:{}).filter(([,r])=>r);return o.length>0&&(t=`?${o.map(([r,a])=>{const p=encodeURIComponent(r),m=encodeURIComponent(a);return `${p}=${m}`}).join("&")}`),t}const i=(e,t,o)=>new Promise((r,a)=>{fetch(e,t).then(p=>{let m;return o!=null&&o.expectsEmptyResponse?m=eo:o!=null&&o.couldHaveEmptyResponse?m=Kt:o!=null&&o.expectBlob?m=to:m=Xt,m(p,r,a)}).catch(p=>Zt(p,a));});function Zt(e,t){let o={error:e};e.error&&(o=e),t(o);}function me(e,t,o){const r=Yt(Wt({},t||{}),{error:e});o(r);}function Kt(e,t,o){return e.ok?t(k(e)):o(k(e))}function Xt(e,t,o){return e.json().then(r=>{const a=k(e,r);(e.ok?t:o)(a);}).catch(r=>me(r,e,o))}function eo(e,t,o){const r=k(e);(e.ok?t:o)(r);}function to(e,t,o){return e.blob().then(r=>{const a=k(e,r);(e.ok?t:o)(a);}).catch(r=>me(r,e,o))}function k(e,t){return {status:e.status,redirected:e.redirected,url:e.url,metadata:{searchTotalItems:Number(e.headers.get("x-total"))},parsedBody:t}}function oo(e,t,o){const r=`${c(o)}/application_forms/${t.application_form_id}/answers/${t.id}`;return i(r,n(o.token,d.PATCH,e))}var ro=Object.freeze({__proto__:null,updateAnswer:oo});function no(e,t){const o=`${c(t)}/application_forms/${e}`;return i(o,n(t.token))}function io(e,t){const o=`${c(t)}/application_forms/${e}/latest`;return i(o,n(t.token))}function ao(e,t){const o=`${c(t)}/exchange_application_forms`;return i(o,n(t.token,d.POST,e))}function co(e,t){const o=`${c(t)}/application_forms`;return i(o,n(t.token,d.POST,e))}function so(e,t){const o=`${c(t)}/application_forms/${e}/clones`;return i(o,n(t.token,d.POST))}function uo(e,t,o){const r=`${c(o)}/application_forms/${t.id}`;return i(r,n(o.token,d.PATCH,e))}function lo(e,t){const o=`${c(t)}/application_forms/${e}`;return i(o,n(t.token,d.DELETE))}function po(e,t){const o=`${c(t)}/application_forms/${e.id}/current_tier_skips`;return i(o,n(t.token,d.POST,e))}function mo(e){const t=c(e);return i(`${t}/tenants/${e.tenantId}/application_forms/guest`,n(void 0,d.POST,{source:e.applicationSource,source_metadata:e.applicationMetadata}))}function _o(e,t){const o=`${c(t)}/tokens/${e}`;return i(o,n(t.token,d.GET))}function fo(e,t,o,r,a,p,m){const h=C({column:t,order:o,page:r,per_page:a,questions:p,q:m}),_=`${c(e)}/application_forms/${h}`;return i(_,n(e.token))}function ho(e,t){const o=`${c(t)}/application_forms/${e}/export/eit_scenario`;return i(o,n(t.token),{expectBlob:!0})}function go(e,t){const o=`${c(t)}/application_forms/${e}/eligibility_results`;return i(o,n(t.token,d.GET))}function Co(e,t){const o=`${c(t)}/application_forms/${e}/add_next_bucket`;return i(o,n(t.token,d.POST),{expectsEmptyResponse:!0})}var vo=Object.freeze({__proto__:null,getApplicationForm:no,getLatestApplicationForm:io,createExchangeApplicationForm:ao,createApplicationForm:co,cloneApplicationForm:so,updateApplicationForm:uo,deleteApplicationForm:lo,createCurrentTierSkips:po,getTokenForAuthGuestFlow:mo,getToken:_o,searchApplicationForms:fo,getApplicationFormEitScenario:ho,getEligibilityResults:go,updateApplicationToNextBucket:Co});function Ao(e,t,o){const r=`${c(o)}/application_forms/${e.id}/application_forms_question_sets/${t}`;return i(r,n(o.token))}function bo(e){const t=`${c(e)}/question_set_groups`;return i(t,n(e.token))}function yo(e,t,o){const r=`${c(o)}/application_forms/${t.application_form_id}/application_forms_question_sets/${t.id}`;return i(r,n(o.token,d.PATCH,e))}function So(e,t,o){const r=`${c(o)}/application_forms/${t.application_form_id}/application_forms_question_sets`;return i(r,n(o.token,d.POST,e))}var Po=Object.freeze({__proto__:null,getQuestionSet:Ao,getQuestionSetGroups:bo,updateQuestionSet:yo,createQuestionSet:So});function ko(e,t){const o=`${c(t)}/tenants/${e}/carrier_product_buckets`;return i(o,n(t.token))}function $o(e,t,o){const r=`${c(o)}/tenants/${e}/carrier_product_buckets`;return i(r,n(o.token,d.POST,t))}function Oo(e,t,o,r){const a=`${c(r)}/tenants/${e}/carrier_product_buckets/${t}`;return i(a,n(r.token,d.PUT,o))}function wo(e,t,o){const r=`${c(o)}/tenants/${e}/carrier_product_buckets/${t}`;return i(r,n(o.token,d.DELETE),{expectsEmptyResponse:!0})}function To(e,t,o){const r=`${c(o)}/tenants/${e}/carrier_product_buckets/reorder`;return i(r,n(o.token,d.PATCH,{carrier_product_buckets:t}))}var qo=Object.freeze({__proto__:null,getCarrierProductBuckets:ko,createCarrierProductBuckets:$o,updateCarrierProductBuckets:Oo,deleteCarrierProductBuckets:wo,reorderCarrierProductBuckets:To});function _e(e){const t={};return Object.keys(e).forEach(o=>{e[o]&&(t[o]=e[o]);}),t}function Eo(e,t){const o=`${c(t)}/questions/${e}/choices`;return i(o,n(t.token))}function Fo(e,t){const o=`${c(t)}/choices/${e}`;return i(o,n(t.token))}function Io(e,t){return i(`${c(t)}/choices`,n(t.token,d.POST,e))}function No(e,t,o){const r=`${c(o)}/choices/${t.id}`;return i(r,n(o.token,d.PATCH,e))}function Do(e,t,o){const r=_e(t),a=`${c(o)}/questions/${e}/choices${C(r)}`;return i(a,n(o.token))}function Lo(e,t,o){const r=_e(t),a=`${c(o)}/questions/${e}/choices${C(r)}`;return i(a,n(o.token))}var Qo=Object.freeze({__proto__:null,getChoices:Eo,getChoice:Fo,addChoice:Io,updateChoice:No,searchChoices:Do,searchChoicesWithNudges:Lo});function Ro(e){const t=`${c(e)}/features`;return i(t,n(e.token,d.GET))}var Uo=Object.freeze({__proto__:null,getFeatures:Ro});function jo({application_id:e,config:t,question_pool_id:o,parent_answer_pool_id:r}){const a=`${c(t)}/application_forms/${e}/answer_pools`;return i(a,n(t.token,d.POST,{question_pool_id:o,parent_answer_pool_id:r}))}function xo({application_id:e,config:t,answer_pool_id:o}){const r=`${c(t)}/application_forms/${e}/answer_pools/${o}`;return i(r,n(t.token,d.DELETE))}var Bo=Object.freeze({__proto__:null,addQuestionPool:jo,removeQuestionPool:xo});function Vo(e,t){const o=`${c(t)}/application_forms/${e}/carriers_products`;return i(o,n(t.token))}var Mo=Object.freeze({__proto__:null,getApplicationFormCarriersProducts:Vo});function zo(e,t){const o=`${c(t)}/application_forms/${e}/quote_requests`;return i(o,n(t.token))}function Go(e,t,o){const r=C({bind_action:e.value}),a=`${c(o)}/application_forms/${t.application_form_id}/quote_requests/${t.id}/bind/${r}`;return i(a,n(o.token),{couldHaveEmptyResponse:!0})}function Ho(e,t,o){const r=`${c(o)}/application_forms/${t}/quote_requests/${e}/bind`;return i(r,n(o.token))}function Jo(e,t){const o=`${c(t)}/application_forms/${e.application_form_id}/quote_requests/${e.id}/details`;return i(o,n(t.token))}function Wo(e,t,o){const r=`${c(o)}/application_forms/${t.application_form_id}/quote_requests/${t.id}`;return i(r,n(o.token,d.PATCH,e))}var Yo=Object.freeze({__proto__:null,getQuoteRequests:zo,bindQuoteAction:Go,bindQuote:Ho,quoteDetails:Jo,updateQuote:Wo});function Zo(e){const t=`${c(e)}/vehicles/years`;return i(t,n(e.token))}function Ko(e,t,o){const r=`${c(t)}/vehicles/years/${e}/makes${C({type:o==null?void 0:o.type,name:o==null?void 0:o.name})}`;return i(r,n(t.token))}function Xo(e,t,o,r){const a=`${c(o)}/vehicles/years/${e}/makes/${t}/models${C({type:r})}`;return i(a,n(o.token))}function er(e,t,o,r,a){const p=`${c(r)}/vehicles/years/${e}/makes/${t}/models/${o}/configurations${C({type:a})}`;return i(p,n(r.token))}function tr(e,t){const o=`${c(t)}/vehicles/vins/${e}`;return i(o,n(t.token))}function or(e){var t,o,r;const{appId:a,questionGroupId:p,configurationId:m,flowType:h,config:_,answerPoolId:g,type:fe,vehicle:b}=e,Q={question_group_id:p,configuration_id:m,flow:h,answer_pool_id:g};g||delete Q.answer_pool_id;const he=`${c(_)}/application_forms/${a}/vehicles${C({type:fe,year:(t=b==null?void 0:b.yearId)!=null?t:void 0,make:(o=b==null?void 0:b.makeId)!=null?o:void 0,model:(r=b==null?void 0:b.modelId)!=null?r:void 0})}`;return i(he,n(_.token,d.POST,Q))}var rr=Object.freeze({__proto__:null,getYears:Zo,getMakes:Ko,getModels:Xo,getConfigurations:er,getVinDetails:tr,selectVehicle:or});Object.freeze({__proto__:null,Answer:ro,ApplicationForm:vo,ApplicationFormQuestionSet:Po,CarrierProductBucket:qo,Choice:Qo,Features:Uo,PartnerEngineConfig:Vt,QuestionPool:Bo,QuoteableCarriersProduct:Mo,QuoteRequest:Yo,Vehicles:rr});function f(e){return e.authUri?e.authUri:e.env===y.Production||e.env===void 0?"https://boldpenguin-auth.boldpenguin.com":e.env===y.Development?"http://localhost:3000":`https://boldpenguin-auth-uat.${e.env}.boldpenguin.com`}var nr=Object.freeze({__proto__:null,authenticatorUri:f}),N=(e,t,o)=>new Promise((r,a)=>{var p=_=>{try{h(o.next(_));}catch(g){a(g);}},m=_=>{try{h(o.throw(_));}catch(g){a(g);}},h=_=>_.done?r(_.value):Promise.resolve(_.value).then(p,m);h((o=o.apply(e,t)).next());});function ir(e,t,o,r){if(o.clientId===void 0)throw "Client ID required";const a=new URL(`${f(o)}/auth/authorize`);return a.searchParams.set("response_type","token"),a.searchParams.set("client_id",encodeURI(o.clientId)),a.searchParams.set("redirect_uri",encodeURI(e)),a.searchParams.set("state",encodeURI(t)),r!=null&&r.provider&&a.searchParams.set("provider",encodeURI(r.provider)),r!=null&&r.login_hint&&a.searchParams.set("login_hint",encodeURI(r.login_hint)),r!=null&&r.inviteToken&&a.searchParams.set("invitation_token",encodeURI(r.inviteToken)),a.toString()}function ar(e,t,o){const r=new URL(`${f(t)}/v2/login`);return r.searchParams.set("redirect_uri",encodeURI(e)),o!=null&&o.login_hint&&r.searchParams.set("login_hint",encodeURI(o.login_hint)),r.href}function cr(e){const t=[];if(e.token){console.warn("Token no longer required, update to unified auth.");const r=`${f(e)}/auth/deauthorize`;t.push(i(r,n(e.token,d.DELETE),{expectsEmptyResponse:!0}));}const o=`${f(e)}/v2/logout`;return t.push(i(o,n(void 0,d.DELETE),{expectsEmptyResponse:!0})),Promise.all(t)}function sr({config:e,username:t,password:o}){if(!e||e.clientId===void 0)throw "Client ID required";const r=`${f(e)}/auth/token`;return i(r,n(void 0,d.POST,{username:t,password:o,client_id:e.clientId,grant_type:"password"}))}function ur(e){if(e.token!==void 0){console.warn("Token no longer required, update to unified auth.");const t=`${f(e)}/auth/user`;return i(t,n(e.token,d.GET))}else {const t=`${f(e)}/v2/userinfo`;return i(t,n(void 0,d.GET))}}function lr(e,t){if(!e||e.clientId===void 0)throw "Client ID required";const o=`${f(e)}/api/terminal/registrations`,r=n(void 0,d.POST,t);return r.headers.append("params",JSON.stringify({client_id:e.clientId})),i(o,r)}function dr(e,t){return N(this,null,function*(){if(!e||e.clientId===void 0)throw "Client ID required";const o=`${f(e)}/api/terminal/forgot_password_emails`,r=n(void 0,d.POST,{username:t});return r.headers.append("params",JSON.stringify({client_id:e.clientId})),i(o,r)})}function pr(e){return N(this,null,function*(){if(!e||!e.clientId)throw "Client ID required";const t=`${f(e)}/guest_auth?client_id=${e.clientId}`,o=n(void 0,d.POST);return o.headers.append("params",JSON.stringify({client_id:e.clientId})),i(t,o)})}function mr(e){return N(this,arguments,function*({config:t,newPassword:o,token:r,tokenType:a}){if(!t||t.clientId===void 0)throw "Client ID required";const p=`${f(t)}/api/terminal/password_resets`,m={password:o,password_confirmation:o};switch(a){case F.INVITE:m.invitation_token=r;break;case F.RESET:m.reset_password_token=r;break}const h=n(void 0,d.POST,m);return h.headers.append("params",JSON.stringify({client_id:t.clientId})),i(p,h).then(_=>{var g;return (g=_.parsedBody.username)!=null?g:""})})}function _r(e){const t=`${f(e)}/api/terminal/theme`,o=n(e.token,d.GET);return i(t,o)}function fr(e,t){const o=`${f(t)}/api/storefronts/${e}`,r=n();return i(o,r)}var hr=Object.freeze({__proto__:null,authorizeUri:ir,authorizeCookieUri:ar,deauthorize:cr,authorizeWithUserNamePassword:sr,getUser:ur,registerUser:lr,forgotPassword:dr,guestToken:pr,resetPassword:mr,getTerminalTheme:_r,getStorefrontByCode:fr}),gr=Object.freeze({__proto__:null,Auth:hr,AuthenticatorConfig:nr});class Pr{static getStorefrontByCode(t,o){return gr.Auth.getStorefrontByCode(t,o)}}

const bpSdkCreateAppFormContainerCss = "";

const BpSdkCreateAppFormContainer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.handleSubscriptions = () => {
      if (canGetStore()) {
        this.storeUnsubscribe && this.storeUnsubscribe();
        store$2.mapDispatchToProps(this, {
          loadGuestApplicationForm
        });
        this.storeUnsubscribe = store$2.mapStateToProps(this, this.mapStateToProps);
      }
    };
    this.mapStateToProps = (state) => {
      const peConfig = getPartnerEngineConfig(state);
      return {
        peConfig: peConfig,
        authConfig: f$1(D4({ env: peConfig.env }))
      };
    };
    this.createApp = () => {
      this.buttonDisabled = true;
      Pr.getStorefrontByCode(this.storefrontCode, this.authConfig)
        .then(storefront => storefront.parsedBody)
        .then(sf => {
        this.loadGuestApplicationForm({
          tenantId: sf.tenant_id,
          env: this.peConfig.env,
          uri: this.peConfig.uri,
          applicationSource: B$2.Storefront,
          applicationMetadata: {
            storefront_code: sf.code,
            storefront_name: sf.agency_name
          }
        });
      })
        .then(() => this.buttonDisabled = false);
    };
    this.peConfig = undefined;
    this.authConfig = undefined;
    this.storefrontCode = undefined;
    this.text = undefined;
    this.buttonDisabled = false;
    this.useExternal = false;
    this.storeFront = undefined;
  }
  resetState() {
    this.buttonDisabled = false;
    this.handleSubscriptions();
  }
  connectedCallback() {
    this.resetState();
    this.handleSubscriptions();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-create-app-form-container');
    customElements.whenDefined('bp-sdk-external-create-app-form-container').then(() => {
      this.useExternal = true;
    });
    this.handleSubscriptions();
  }
  disconnectedCallback() {
    this.storeUnsubscribe && this.storeUnsubscribe();
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return (h$1("bp-sdk-external-create-app-form-container", { peConfig: this.peConfig, authConfig: this.authConfig, createAppFormHandler: this.createApp, storefrontCode: this.storefrontCode, text: this.text }));
  }
  renderInternal() {
    return (h$1("bp-sdk-create-app-form", { buttonDisabled: this.buttonDisabled, createAppFormHandler: this.createApp, text: this.text }));
  }
};
BpSdkCreateAppFormContainer.style = bpSdkCreateAppFormContainerCss;

export { BpSdkCreateAppFormContainer as bp_sdk_create_app_form_container };
